/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2006 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window.','jsMath','||!',1,'jsMath.','loaded','){if(',1,'parent','&&',1,9,'.',2,'){',2,'=',1,9,'.',2,';}var ','jsMath_old','=',1,2,';','function',' ','ShowObject(_1',',_2){var s="";',0,'_2){_2="";}','for(var ','i in ','_1',7,'_1[i]!=null){','if(typeof (','_1[i','])=="object','"){s+=_2+i','+": {\\n"+',30,'[i],_2+"  ")+_2+"}\\n";}else{',39,'_1[i])!="',28,42,'+": "+_1[i]+"\\n";}}}}return s;}',0,'document.','getElementById','||!',52,'childNodes||!',52,'createElement','){alert("','The mathematics on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your browser doesn\'t seem to have this.");}else{',2,'={version:"3.1e",document:document,window:window,blank:"data:image/gif,GIF89a%01%00%01%00%f0%00%31%ff%ff%ff%00%00%00%21%f9%04%01%00%00%00%00%2c%00%00%00%00%01%00%01%00%00%02%02%44%01%00%3b",','sizes',':[50,60,70,85,100,120,144,173,207,249],styles:{".math','":"font-family: serif; font-style: normal; font-weight: normal','",".typeset',65,'","div.typeset','":"text-align: ','center; margin: 1em 0px;","span.typeset',69,'left',66,' span',69,'left','",".typeset .','normal',65,77,'size0','":"font-size: ','50','%",".typeset .','size1',82,'60',84,'size2',82,'70',84,'size3',82,'85',84,'size4',82,'100',84,'size5',82,'120',84,'size6',82,'144',84,'size7',82,'173',84,'size8',82,'207',84,'size9',82,'249',84,'cmr10','":"font-family: jsMath-',121,', serif',77,'cmbx10',122,126,', ',2,'-cmr10',77,'cmti10',122,133,', ',2,131,77,'cmmi10',122,140,77,'cmsy10',122,144,77,'cmex10',122,148,77,'link":"','text-decoration',': none',77,'HD":"border-width:0px; width: 1px; margin-right: -1px',77,'error',82,'10pt; font-style: italic; "+"','background-color',': #FFFFCC','; padding: ','1px; "+"','border: 1px solid #CC0000","#jsMath_message','":"position:fixed; bottom:','1px; left:2px; ',161,':#E6E6E6','; "+"border: solid 1px #959595; margin:0px; padding: ','1px 8px','; "+"z-index:102; color',': black','; font-size:small; width:auto;","#','jsMath_panel',166,'1.5em; right:1.5em',163,'10px 20px','; "+"',161,':#DDDDDD; border: outset ','2px; "+"z-index:103; width:auto;","#jsMath_button',166,'1px; right:2px; ',161,':white',170,'0px 3px 1px 3px',172,':black; ',153,':none','; font-size',':x-small; "+"','width:auto; cursor:pointer; cursor:hand',';","#jsMath_float','":"','position:absolute','; top:0px; left:0px; max-width:80%; "+"z-index:101; ','width:auto; height:auto',197,' .drag":"',161,182,'1px; height:12px',194,': 1px',197,' .close":"',161,169,'; border: ','inset 1px; width:8px; height:8px; margin: 1px 2px',197,' .source":"',161,':#E2E2E2',213,'outset ',164,201,163,'8px 15px; "+"','font-family',': courier, fixed',194,': 90%","#','jsMath_noFont',69,'center',163,179,213,'3px solid #DD0000; "+"',161,': #FFF8F8; color: #AA0000',174,229,' .link":"padding: 0px 5px 2px 5px',213,'2px outset; ',161,':#E8E8E8; "+"color:black',194,':80%; ',196,';"},Element:',28,'(_5){return ',5,52,53,'("jsMath_"+_5);},BBoxFor:',28,'(s','){this.','hidden.innerHTML','="<nobr><span class=\\"typeset\\"><span class=\\"scale\\">"+s+"</span></span></nobr>";var _7={w:this.','hidden','.offsetWidth',',h:this.',260,'.offsetHeight','};this.',258,'="";return _7;},EmBoxFor:',28,'(s){var _9','=this.BBoxFor','(s);return {w:_9.w/this.em,h:_9','.h/this.em};},','EmBoxForItalics',':',28,'(s){var _b',270,'(s);if(s.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){_b.w',270,'(s+',5,'Browser.','italicString',').w-',5,282,'italicCorrection',';}return {w:_b.w/this.em,h:_b',272,'Init',':function(){','if(',5,'Setup.inited','!=1',7,5,294,59,'It looks like ',2,' failed to set up properly (error code "+',5,294,'+").  "+"I\'ll will try to keep going, but it could get ugly.");',5,294,'=1',';}else{','alert("You must call ',5,'Setup.','Body() explicitly when ',2,' is"+"',6,' as part of the <HEAD> section");}',5,312,'Body();}this.em',270,'("<img src=\\""+',5,'blank+"\\" ','style=\\"width:','10em; height:1em\\" />").w/10;if(',5,282,283,'){',5,282,287,'=',5,'BBoxFor(',5,282,283,').w;}if(',5,'Browser.hiddenSpace','!=""){',5,282,'spaceWidth=this.EmBoxFor(',5,342,'+',5,342,'+',5,342,'+',5,342,'+',5,342,').w/5;}var bb',270,'("x");var h=bb.h;var d',270,'("x<img src=\\""+',5,324,'height=\\""+(h*',5,282,'imgScale',')+"\\" width=\\"1\\" />").h-h;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',312,'TeXfonts();var _f=this.','EmBoxFor("<span class','=\\"',121,'\\">M</span>").w/2;this.TeX.M_height=_f*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',257,312,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(this.','TeX.cmex10[','0].h+this.',386,'0].d)/0.85;',380,'=1;},ReInit',291,'var w',270,'("x").w;if(w!=this.xWidth',257,'Init();}},Loaded',291,'if(',23,'){var _11=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var i=0;i<','_11','.length;','i++){if(',23,'[_11[i]]){',23,'[_11[i]]=null;}}}if(',23,'){this.Insert(',2,',',23,');}',23,'=null;',5,6,'=1;},Add:',28,'(dst,src){',34,'id in src){','dst[id]=src[id','];}},Insert:',28,'(dst,src){',34,424,'if(dst[id]&&typeof (src[id',41,'"&&(','typeof (dst[id])=="','object"||',434,28,'")){this.Insert(dst[id],src[id]);}else{',425,'];}}},Package:',28,'(obj,def',411,'obj.prototype,def);}};',5,'Script={request:null,Init',291,'if(!(',5,'Controls.cookie','.asynch&&',5,450,'.progress',')){if(',1,'XMLHttpRequest','){','this.request','=new ',457,';}else{if(',1,'ActiveXObject','){try{',459,'=new ',464,'("Microsoft.XMLHTTP");}catch(err){}}}}',0,459,'||',5,312,'domainChanged',257,'Load=this.delayedLoad;this.needsBody=1;}},Load:',28,'(url,_1c',7,'_1c){',5,'Message.Set("Loading "+url);',5,'Script.','Delay(1);',5,'Script.Push(','this,"xmlRequest",url',');',5,488,5,'Message',',"Clear','");}else{',5,488,489,');}},xmlRequest:',28,'(url){','this.debug("','xmlRequest: "+url);try{',459,'.open("GET",url,false);',459,'.send(null);}catch(err','){throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',494,': "+err.message;}if(',459,'.status','&&',459,513,'>=400',509,'Error status: "+',459,513,';}this.','Start();','this.blocking','=1;',5,1,'eval(',459,'.responseText);this.End();',524,'=0;this.Process','();},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],queueAt:0,Synchronize:',28,'(_1e,_1f){',39,'_1e)!="string"){',5,488,'null,_1e,_1f',');}else{',5,488,5,'window,"eval",_1e);}},Push:',28,'(_20,_21,_22){',503,'Pushing: "+_21+" at "+','this.queueAt',');this.queue=[].concat(','this.queue.slice(','0,',550,'),[[_20,_21,_22]],',552,550,'));',550,'++;if(!(',524,'||(this.needsBody&&!',5,52,'body','))){this.Process();}},Process',291,'while(','this.queue.length','&&!',524,257,523,'var _23=this.queue[0];this.queue=',552,'1);var _24=_23[0];var _25=_23[1];var _26=_23[2];',503,'Calling: "+_25);if(_24){_24[_25](_26',541,'if(_25){_25(_26);}}',503,'Done:    "+_25);}this.End();},Start',291,550,'=0;},End',291,550,'=',569,';},delayedLoad:',28,'(url){',503,'Loading: "+url);this.Push(this,"startLoad",url);},startLoad:',28,'(url){','this.iframe','=',5,52,58,'("iframe");','this.iframe.style.','visibility="',260,'";',603,'position="absolute";',603,'width="0px";',603,'height="0px";if(',5,52,'body.firstChild','){',5,52,'body.insertBefore(',597,',',5,52,615,541,5,52,565,'.appendChild(',597,');}',524,'=1;this.','url=url;',0,'url.match(/\\.js$/)){',597,'.src=url',309,597,'.src=',5,'root+"',2,'-loader.html";}if(url.substr(0,',5,'root.length',')==',5,'root){url=url.substr(',5,647,');}',5,483,503,'Starting: "+url);','this.cancelTimer','=setTimeout("',5,485,'cancelLoad','()",this.cancelTimeout);},endLoad:',28,'(_29){',503,'Ending: "+this.url);if(',658,'){clearTimeout(',658,');',658,'=null;}',5,'Message.','Clear();if(_29!="cancel"){',524,532,'();}},',662,291,658,417,5,675,'Set("Can\'t load file");this.endLoad("cancel");},Delay:',28,'(_2a){',524,'=1;setTimeout("',5,485,'endDelay','()",_2a);},',693,291,503,693,'");',524,532,'();},','WaitForBlank',291,524,'=1;',5,'Img.blank','=new Image();','var img=',5,708,';img.onload=',28,'(){',5,485,693,'();};img.onerror','=img.onload;img.','onabort',720,'src=',5,'blank;},Uncompress:',28,'(_2c){',34,'k=0;k<_2c',404,'k++){var d=_2c[k];var n=d',404,402,'n;i++){',39,'d[i])=="number"){d[i]=d[d[i]];}}_2c[k]=d.join("");}',1,'eval(_2c.join(""));},debug:',28,'(_31){}};',5,494,'={blank:null,message:null,text:null,clear:null,Init',291,0,5,52,565,'||!',5,450,454,'){return;}','if(',5,312,'stylesReady){','this.message','=',5,'Setup.DIV("message",{visibility:"hidden','"});}else{',758,'=',5,761,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}this.text=',5,52,'createTextNode("");',758,629,'this.text);',758,'.onmousedown=',5,'Translate.Cancel;},Set:',28,'(_32,_33){','if(this.clear){clearTimeout(this.clear',');','this.clear',673,'if(',5,450,454,'){',0,'this.text){','this.','Init();',0,793,'return;}}if(',5,282,'textNodeBug','){',758,'.innerHTML','=_32',309,'this.text.nodeValue','=_32;}',758,'.style.visibility="','visible";if(_33){',758,'.style.cursor','="pointer";',0,758,813,'){',758,813,'="hand";}',758,'.title=" Cancel Processing of Math ";}else{',758,813,';',758,'.title="";}}else{if(_32.substr(0,8)!="Loading "){',5,1,'status=_32;}}},Clear',291,783,');}',785,'=setTimeout("',5,675,'doClear()",1000);},doClear',291,'if(',785,'){',785,417,5,1,'status="";if(',793,807,'="";}if(',758,'){',758,810,260,'";}}},Blank',291,'if(','this.blank','||!',5,52,565,753,860,'=',5,312,'DIV("blank",{position:(',5,282,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',769,':"white"});if(',5,282,'msieBlankBug','){',860,804,'="&nbsp;";',860,'.style.width="110%";',860,'.style.height="110%";}},UnBlank',291,'if(',860,'){',5,52,565,'.removeChild(',860,');}',860,'=null;}};',5,'Setup={',6,':[],DIV:',28,'(id,_35){var div=',5,52,58,'("div");div.id="jsMath_"+id;',34,35,'_35){div.style[i]=_35[i];}',0,5,52,565,'.hasChildNodes){',5,52,565,629,'div',541,5,52,619,'div,',5,52,615,');}return div;},Script:',28,'(_38,_39',7,'this.loaded[_38',']){return',309,935,']=1;}',0,'_38.match("^([a-zA-Z]+:/)?/")){_38=',5,'root+_38;}',5,485,'Load(_38,_39);},Hidden',291,5,260,'=this.DIV("Hidden",{visibility:"',260,767,'top:0,left:0,border:0,padding:0,margin:0});',5,'hiddenTop=',5,260,';return;},Source',291,'if(',5,'Autoload&&',5,'Autoload.root','){',5,'root=',5,964,309,5,'root="";var _3a=',5,52,'getElementsByTagName("','script");if(_3a){',402,'_3a',404,'i++){var ','src=_3a[i].src;if(src&&src.match("(^|/)',5,'js$")){',5,'root=src.replace','(/',5,'js$/,"");if(',5,'root.charAt(0)=="/"){',5,967,52,'location','.protocol+"//"+',52,994,'.host+',5,'root',309,0,5,'root.match','(/^[a-z]+:/i)){src','=new String(',5,52,994,');',5,985,'(new RegExp("[^/]*$"),"")+',5,'root;',568,5,1004,'("/[^/]*/../")){',5,967,5,'root.replace(new RegExp("/[^/]*/../"),"/");}}}i=_3a.length;}}}}',5,'Img.',967,5,643,'fonts/";this.Domain();},Domain',291,'var _3d="";var _3e=',5,52,'domain;if(',5,1004,'("://([^/]*)/")){_3d=RegExp.$1;}_3d=_3d.replace(/:\\d+$/,"");if(_3d==""||_3d==_3e',753,'if(navigator.','appName=="','Microsoft Internet Explorer"&&','navigator.platform','=="MacPPC"&&navigator.onLine&&navigator.userProfile&&',5,52,'all',753,'_3d=_3d.split(/\\./);_3e=_3e.split(/\\./);if(_3d.length<2||_3e.length<2||','_3d[_3d.length-','1',']!=_3e[_3e.length-','1]||',1049,'2',1051,'2]){this.','DomainWarning','();return;}var _3f=',1049,'2]+"."+',1049,'1];',34,'i=3;i<=_3d.length&&i<=_3e',404,405,1049,'i',1051,'i]){break;}_3f=',1049,'i]+"."+_3f;}',5,52,'domain=_3f;this.',475,'=1;},',1057,291,'alert("In order for ',2,' to be able to load the additional "+"components that it may need, the ',5,'js file must be "+"',6,' from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the mathematics displayed here may not appear correctly.");},EncodeFont:',28,'(_41){var _42=',5,'TeX[_41];if(_42[0].c!=null',753,34,'k=0;k<128;k++){var _44=_42[k];_42[k]=_44[3];if(_42[k]==null){_42[k]={};}_42[k].w=_44[0];_42[k].h=_44[1];if(_44[2]!=null){_42[k].d=_44[2];}_42[k].c=',5,'TeX.encoding[k];}},Fonts',291,402,5,'TeX.fam.length;',980,'_46=',5,'TeX.fam[i','];if(_46',257,'EncodeFont(_46);}}},TeXfont:',28,'(_47){var _48=',5,'TeX[_47];var WH=',5,375,'=\\""+_47+"\\">"+_48[65','].c+"</span>");','_48.hd=WH.h;_48.d=',5,375,'=\\""+_47+"\\">"+_48[65].c+"<img src=\\""+',5,324,'style=\\"height',':"+(_48.hd*',5,282,371,')+"em; width:1px;\\" /></span>").h-_48.hd;_48.h=_48.hd-_48.d;_48.dh=0.05;if(',5,'browser=="Safari"){_48.hd*=2;}if(','_47=="',140,'"){_48.skewchar=','127',462,1129,144,1131,'48;}}},TeXfonts',291,402,5,1099,405,5,1103,']){this.TeXfont(',5,1103,']);}}},Sizes',291,5,'TeXparams','=[];',34,'j=0;j<',5,63,404,'j++){',5,1151,'[j]={};}',34,35,5,'TeX){',39,5,'TeX[i])!="object"){',34,'j=0;j<',5,63,404,'j++){',5,1151,'[j][i]=',5,63,'[j]*',5,'TeX[i]/100;}}}},Styles:',28,'(_4e){',0,'_4e){_4e=',5,'styles;_4e[".typeset .scale"]="font-size:"+',5,450,'.scale+"%";this.stylesReady=1;}',5,488,'this,"','AddStyleSheet','",_4e);if(',5,282,'styleChangeDelay','){',5,488,5,'Script,"','Delay",1);}},',1195,':',28,'(_4f){var _50=',5,52,975,'head")[0];if(',5,52,'styleSheets','){var _51=_50',629,5,52,58,'("style"));var _52=_51.styleSheet||_51.sheet;if(_52){',34,'id in _4f){','if(_4f[id]!=""){if(_52.addRule){_52.addRule(id,_4f[id],_52.length',541,'_52.insertRule(id+" {"+_4f[id]+"}",_52.length);}}}return',309,'_50',895,'_51);_51',417,'_52=null;}}var _54=(',5,52,1216,')?',5,52,1216,'.length:0;var _55="";',34,1224,'_55+=id+" {"+_4f[id]+"}\\n";}var _57=',5,52,58,'("link");_57.rel="stylesheet";_57.type="text/css";_57.href="data:text/css;charset=utf-8,"+escape(_55);_50',629,'_57);if(',5,52,1216,'&&',5,52,1216,'.length==_54&&!(',5,52,'implementation','&&',5,52,1261,'.createCSSStyleSheet)){var div=',5,52,58,'("div");div','.style.display="none','";',5,52,565,629,'div);div',804,'="<style type=\\"text/css\\">"+"\\n"+_55+"\\n"+"</style>";}},Body',291,'if(this.inited',753,'this.inited=-','1;',5,312,'Hidden();',1283,'2;',5,282,795,1283,'3;if(',5,450,'.blank){',5,675,'Blank();}',1283,'4;',5,312,'Styles();',1283,'5;',5,'Controls.',795,1283,'6;',5,488,5,'Setup,"User","pre-font");',1283,'7;',5,488,5,'Font,"Check");this.inited=1;},User:',28,'(_59){}};',5,'Update={TeXfonts:',28,'(_5a){',34,'_5b in _5a){',34,'_5c in _5a[_5b]){',34,'id in _5a[_5b][_5c]){',5,'TeX[_5b][_5c][id]=_5a[_5b][_5c][id];}}}},TeXfontCodes:',28,'(_5e){',34,'_5f in _5e){',402,'_5e[_5f].length;i++){',5,'TeX[_5f][i].c=_5e[_5f][i];}}}};',5,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,msieSpaceFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",',371,':1,renameOK:1,',1199,':0,delay:1,spaceWidth:0,hiddenSpace:"",valignBug:0,operaHiddenFix:"",version:0,','TestSpanHeight',291,5,258,'="<span','><img ',1121,': 2em\\" /></span>";var _61=',5,'hidden.firstChild;',710,'_61.firstChild;','this.spanHeightVaries','=(_61',264,'==img',264,');',5,258,'="";},','TestRenameOK',291,5,258,1359,'></span>";var _63=',5,1364,'_63.setAttribute("name","','jsMath_test','");this.renameOK=(',5,52,'getElementsByName("',1385,'").length>0);',5,258,1375,'TestStyleChange',291,5,258,1359,' ID=\\"',1385,'\\">x</span>";var _64=',5,1364,'var w=_64',261,';',5,312,1195,'({"#',1385,'":"font-size:200%"});this.',1199,'=(_64',261,'==w);',5,258,1375,'TestDataURL',291,5,258,'="<IMG SRC=\\""+',5,'blank+"\\">";',710,5,1364,'if(img',261,'>1){',5,'blank=',5,643,'blank.gif";}',5,258,1375,'VersionAtLeast',':',28,'(v){var bv',1006,'this.version).split(".");v',1006,'v).split(".");if(v[1]==null){v[1]="0";}return bv[0]>v[0]||(bv[0]==v[0]&&bv[1]>=v[1]);},Init',291,5,'browser="','unknown";this.',1421,384,1355,384,1376,384,1395,384,'MSIE',384,'Mozilla',384,'Opera',384,'OmniWeb',384,'Safari',384,'Konqueror','();if(','this.allowAbsoluteDelim','){',5,'Box.DelimExtend=',5,'Box.DelimExtendAbsolute;',5,'Box.Layout=',5,'Box.LayoutAbsolute',309,5,'Box.DelimExtend=',5,'Box.DelimExtendRelative;',5,'Box.Layout=',5,'Box.LayoutRelative;}if(','this.separateSkips','){',5,'HTML.Place=',5,'HTML.','PlaceSeparateSkips',';',5,'Typeset.prototype.','Place=',5,1502,1499,';}},MSIE',291,'if(',1367,'){',5,1452,'MSIE";',1039,'platform=="','Win32"){',1474,'=1;',1493,'=1',';this.buttonCheck=1;this.',879,'=1;this.msieDivWidthBug=1;this.',873,633,'msieIntegralBug',633,'msieAlphaBug=1;','this.alphaPrintBug=1',';this.',1347,'="position:relative; ";this.msieSpaceFix="<img src=\\""+',5,324,'class=\\"HD\\" />";this.',1349,'=" display: inline-block;";',5,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',5,'styles[".typeset .arial"]="',225,': \'Arial unicode MS\'";',5,'styles["#jsMath_message','"]=',5,1546,'"].replace(/','position:fixed','/,"',199,'").','replace(/width:auto','/,"");',5,'styles["#jsMath_panel','"]=',5,1558,1550,1551,'/,"',199,'").',1555,'/,"");',5,'styles["#jsMath_button','"]="width:','1px; "+',5,1570,1550,1551,'/,"',199,'").',1555,'/,"");',5,1,'onscroll=',5,1309,'MoveButton;if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',1588,'!=',1590,257,371,'*=',1590,'/',1588,';',5,450,'.alpha=0',522,283,'="<i>x</i>";',5,'EmBoxFor=',5,273,';',5,488,5,1204,703,496,1039,1516,'MacPPC"){this.msieAbsoluteBug',633,'msieButtonBug',1524,879,'=1;',5,'Setup.Script("jsMath-','msie-mac.js");',5,'Parser.prototype.macros','.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',5,1558,1571,'25em; "+',5,1558,'"].',1555,'/,"");',5,1570,1571,1572,5,1570,'"].',1555,'/,"");}}',5,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}");}},',1464,291,'if(',5,260,'.ATTRIBUTE_NODE){',5,1452,1464,'";',1039,1516,'Win32"){',1530,';}',1474,'=1;',1493,'=1;',5,1652,'/}}");',1039,'vendor=="Firefox"){',5,282,'version=navigator.vendorSub',462,'navigator.userAgent.match','(" Firefox/([0-9.]+)( |$)")){',5,282,'version=RegExp.$1;}}}},',1468,291,1039,'accentColorName){',5,1452,1468,'";','this.allowAbsolute','=!',1682,'("',1468,'/v4");',1474,'=',1695,';this.valignBug=',1695,1522,801,'=1;}},Opera',291,1039,1040,'Opera"||',1682,'(" Opera ")){',5,1452,'Opera";',1695,'=0;this.delay=10;this.operaHiddenFix="[Processing]";}},Safari',291,1039,'appVersion.match(/Safari\\//)){',5,1452,'Safari";var _69=',1682,'("Safari/([0-9]+)");_69=(_69)?_69[1]:400;',402,5,1099,405,5,1103,']){',5,'TeX[',5,1103,']].dh=0.1;}}',5,'TeX.axis_height+=0.05;',1474,'=_69>=125;this.safariIFRAMEbug=_69>=312&&_69<412;this.safariImgBug',633,801,'=1',1522,1199,'=1;}},',1472,291,1039,'product&&navigator.product.match("',1472,'")){',5,1452,1472,'";',1695,'=0;',1474,'=0;if(',1682,'(/',1472,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1493,'=1',1704,'1;this.hiddenSpace',883,5,'Box.prototype.Remeasured=new Function("return this");}}}}};',5,'Font={fallback:"symbol",message:"<b>No ',2,' TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message:"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts\\"></span></b><br/>"+"Using',1779,'.  This',1781,'Test1:',28,'(_6b,n,_6d,_6e','){if(n==null){n=124;}if(','_6d==null){_6d=2;}if(_6e==null){_6e="";}var wh1=',5,'BBoxFor("<span style=\\"font-family',': "+_6e+_6b+", serif\\">"+',5,'TeX[_6b][n',1114,'var wh2=',5,1792,': serif\\">"+',5,'TeX[_6b][n',1114,'return (wh1.w>_6d*wh2','.w&&wh1.h!=0);},','Test2:',28,'(_71,n,_73,_74',1789,'_73==null){_73=2;}if(_74==null){_74="";}var wh1=',5,1792,': "+_74+_71+", serif\\">"+',5,'TeX[_71][n',1114,'var wh2=',5,1792,': serif\\">"+',5,'TeX[_71][n',1114,'return (wh2.w>_73*wh1',1805,'CheckTeX',291,'var wh=',5,1792,': ',2,'-',148,124,'\\">"+',5,386,'1',1114,5,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("cmr10','",null,null,"',2,'-"));if(',5,'nofonts&&(',1042,'!="MacPPC"||',5,'browser!="',1464,'"||!',5,282,1442,'(1.5))){wh=',5,1792,': ',148,124,'\\">"+',5,386,'1',1114,5,1842,'"));',0,5,'nofonts){',5,1628,'BaKoMa-fonts.js");}}},Check',291,'var _78=',5,450,';this.CheckTeX();if(',5,1873,'if(_78.autofont','||_78.font=="tex"){_78.font=this.fallback;if(_78.warn){',5,'nofontMessage=1;_78.warn=0;',5,1309,'SetCookie(0);if(',5,1,'NoFontMessage','){',5,1,1893,'();}else{this.',494,'(',758,');}}}}else{',1884,'){_78.font="','tex";}','if(_78.font=="','tex"){return;}}if(',5,'noImgFonts',1904,'unicode";}',1906,'unicode"){var _79=({Win32:"pc",MacPPC:"mac"})[',1042,']||"unix";',5,1628,'fallback-"+_79+".js");',5,'Box.TeXnonfallback=',5,'Box.TeX',';',5,1922,'=',5,'Box.TeXfallback;return;}',1906,'symbol"){',5,1628,'fallback-symbols.js");',5,'Box.TeXnonfallback=',5,1922,';',5,1922,'=',5,1928,5,'Img.SetFont({',121,':["all"],',140,1947,144,1947,148,1947,126,1947,133,':["all"]});',5,'Img.LoadFont("cm-fonts");},',494,':',28,'(_7a',7,5,'Element("Warning','")){return;}var div=',5,312,'DIV("Warning",{});div',804,'="<center><table><tr><td>"+"<div id=\\"',229,'\\">"+_7a+"<div style=\\"text-align:left\\"><span style=\\"float:left; margin: 8px 0px 0px 20px\\">"+"<span onclick=\\"',5,1309,'Panel()\\" title=\\" Open the ',2,' Control Panel',' \\" class=\\"link\\">',2,1979,'</span>"+"</span','><span style=\\"margin: 8px 20px 0px 0px; float:right\\">"+"<span onclick=\\"',5,'Font.HideMessage()\\" title=\\" Remove this font warning message',1980,'Hide this ',494,1983,'></div><div ',1121,':6px\\"></div><br clear=\\"all\\"/></div>"+"<div ',325,'22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},HideMessage',291,'var _7c=',5,1966,'");if(_7c){_7c',1271,'";}},Register:',28,'(_7d){',5,485,523,39,'_7d)=="string"){_7d={name:_7d};}var _7e=_7d.name;var _7f=_7e.replace(/10$/,"");var _80=',5,1099,'if(_7d.prefix==null){_7d.prefix="";}',0,'_7d.style){_7d.style="',225,': "+_7d.prefix+_7e+", serif";}',0,'_7d.styles){_7d.styles={};}',0,'_7d.macros','){',2020,'={};}',5,'TeX.fam[_80]=_7e;',5,'TeX.famName[_7e]=_80;',2020,'[_7f]=["HandleFont",_80];',5,'Add(',5,1631,',',2020,');_7d'],
  ['.styles[".typeset ."+_7e]=_7d.style;','jsMath.Setup','.Styles(_7d.styles);','jsMath.Script.','Push(',1,',"TeXfont",_7e);var _81=!','jsMath.','nofonts','&&_7d.test(_7e,_7d.testChar,_7d.testFactor,_7d.prefix);if(_81&&','jsMath.Controls','.cookie.font=="','tex"){if(_7d.tex){_7d.tex(_7e,_80,_7d);}',3,'End();return;}','if(!_81&&',10,'.cookie.warn&&',10,11,'tex"&&!',7,8,'){if(!',7,'Element("','Warning")){this.Message(this.extra_message);}var _82=',7,25,'ExtraFonts");if(_82){if(','_82.innerHTML','!=""){',30,'+=",";}',30,'+=" "+_7d.prefix+_7e;}}if(',10,11,'unicode"){if(_7d.fallback){_7d.fallback(_7e,_80,_7d);}',3,14,'var _83={};_83[_7e]=["all"];',7,'Img.SetFont(_83);',7,'Img.LoadFont(_7e);',3,'End();},Load',':function(','_84){',1,'.Script(this.URL(_84));},URL',48,'_85){return ',7,'Img.root+_85+"/def.js";}};',10,'={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D"},cookiePath:"/",Init',':function(){','this.panel=',1,'.DIV("panel",{display:"none"});if(!',7,'Browser.msieButtonBug){this.Button();}else{setTimeout("',10,'.Button()",500);}},Panel',58,7,'Translate.Cancel();if(this.loaded){this.Main();}else{',3,'delayedLoad(',7,'root+"jsMath-controls.html");}},Button',58,'var _86=',1,'.DIV("button",{});_86.title=" Open jsMath Control Panel ";_86.innerHTML="jsMath";_86.onclick=new Function("',10,'.Panel()");if(!','this.cookie','.button){_86.style.display="none";}},MoveButton',58,'if(!this.button){this.button=',7,25,'button");}','this.button.style.visibility="','hidden";',86,'visible";},GetCookie',58,'var _87=','jsMath.document.cookie',';if(','jsMath.window.location.','protocol=="file:"){','_87=unescape(',94,'search.substr(1));}if(_87','.match(/jsMath','=([^;]*)/)){var _88=RegExp.$1.split(/,/);for(var i=0;i<_88.length;i++){var x=_88[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}',79,'[x[1]]=x[2];}}},SetCookie',48,'_8b){var _8c=[];','for(var id in ',79,'){_8c[_8c.length]=id+":"+',79,'[id];}_8c=_8c.join(",");if(',94,95,'if(!_8b){return;}this.loaded=0;var _8e=',94,'href;_8e=_8e.replace(/\\?.*/,"")+"?jsMath="+escape(_8c);if(_8e!=',94,'href){',94,'replace(_8e);}}else{if(','this.cookiePath','){_8c+="; ','path="+',119,';}if(','this.cookieDomain',120,'domain="+',124,123,79,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',131,'*7,M',131,'*30,Y',131,'*365};var exp=new Date;exp.setTime(exp.getTime()+',79,'.keep.substr(','0,1)*ms[',79,140,'1,1)]);_8c+="; expires="+exp.toGMTString();}',92,'="jsMath="+_8c;var _91=',92,';if(_8b&&!_91',99,'=/)){alert("Cookies must be enabled in order to save jsMath options");}}}};',7,'Click={CheckClick',48,'_92){if(!_92){_92=',7,'window.event;}if','(_92.altKey){',10,'.Panel();}},CheckDblClick',48,'_93){if(!_93){_93=',7,156,'(!',7,'Click.DblClick){',7,'Extension.Require("double-click",1);var _94=_93;_93={};',105,'_94){_93[id]=_94[id];}}',3,'Push(',7,'Click,"DblClick",[_93,this.alt]);}};',7,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.04,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10"],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',177,'778',177,'694',177,'667',177,'75',177,'722',177,'778',177,'722',177,'778',177,'722',177,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',203,'833',203,'833',203,'278',',0.431],[0.','306',',0.431,0.194','],[0.5',203,'5',203,'5,0.628],[0.5',203,'5,0.568],[0.75',203,'444,0,0.17],[0.5',203,'722',211,'778',211,'5,0.528,0.0972],[0.903,0.683],[1.01',177,'778,0.732,0.0486],[0.278',',0.431,0,{krn:{"','108":-0.278,"76":-0.319}}],[0.278',',0.694,0,{lig:{"96":','60}}],[0.','5',203,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',240,'778',203,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',250,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',',0.194],[0.','333',',0.431,0,{','lig:{"45":','123}}],[',255,'],[0.5',250,'5',',0.644','],[0.5,0.644],[0.','5',265,266,'5',265,266,'5',265,266,'5',265,266,'278',211,'278',213,'],[0.278,0.5',256,'778',',0.367,-0.133],[','0.472,0.5',256,'472',233,'62}}],[0.778',203,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',296,'79',296,'71',296,'85',296,'81',296,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',177,'722',177,'764',294,'88',296,'87',296,'65',296,'86',296,'89":-','0.0278}}],[0.','681',177,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',177,'75',177,'361',294,'73":',323,'514',177,'778',294,'79',296,'67',296,'71',296,'81":-',323,'625',294,307,'917',177,'75',177,'778',294,'88',296,'87',296,'65',296,'86',296,'89":-',323,'681',294,'65','":-0.0833,"','111',296,'101',296,'97',296,'46',371,'44":-0.','0833}}],[0.','778,0.683',256,'736',294,'116',296,'67',296,'79',296,'71',296,'85',296,'81',296,307,'556',177,'722',294,'121',296,'101',371,'111',371,'114',371,'97',371,'65',371,'117":-0.',381,'75',177,'75',',0.683,0,{ic:0.','0139,',328,'1.03',420,'0139,',328,'0.75',294,'79',296,'67',296,'71',296,'81":-',323,'75',420,'025,','krn:{"101',371,'111',371,'114',371,'97',371,'65',371,415,381,'611',177,'278',250,'5',203,'278',250,'5',203,'278,0.668],[0.','278',233,'92}}],[0.','5',231,'118',296,'106":0.0556,"121',296,'119":-',323,'556',',0.694',',0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',231,'104',296,'107":-',323,'556',203,'444',211,'306',199,200,'12,"102":11,"108":13}}],[0.','5,0.431',',0.194,{ic:0.','0139,krn:{"','106":',323,'556',246,'116',296,'117',296,'98',296,'121',296,'118',296,'119":-',323,462,'306,0.668',256,'528',246,'97','":-0.0556,"','101',296,'97',296,'111',296,'99":-',323,'278',203,'833',231,'116',296,'117',296,'98',296,'121',296,'118',296,'119":-',323,'556',231,'116',296,'117',296,'98',296,'121',296,'118',296,'119":-',323,492,',0',477,'556',213,477,'528',213,'],[0.392',211,'394',211,'389,0.615,0,{krn:{"121',296,'119":-',323,'556',231,'119":-',323,'528',',0.431,0,{ic:0.',494,'97',517,'101',296,'97',296,'111',296,'99":-',323,'722',577,494,'101',296,'97',296,'111',296,'99":-',323,'528',211,'528',',0.431',493,494,'111',296,'101',296,'97',296,'46',371,'44":-0.',381,'444',211,'5',577,'0278,',259,'124}}],[1',577,'0278}],[0.','5',203,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',420,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',381,'833',294,'127":0.167}}],[0.','763',420,620,'krn:{"127":0.0833}}],[0.','694',294,634,'742',420,'0757,',638,'831',420,'0812,krn:{"61',517,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',420,'0576,',638,'583',420,'139',630,651,'667',327,638,'612',420,'11,krn:{"61',517,650,651,'772',420,'0502,',638,'64',577,'0037,','krn:{"127":',323,'566',475,493,'0528,',638,'518',603,493,'0556}],[0.444',199,'0378,krn:{"',650,651,'406',258,'krn:{"127":0.0556}}],[0.','438',475,493,'0738,',638,'497',603,493,'0359,',694,'469',199,620,638,'354',258,694,'576',211,'583',203,'603',213,',{',677,323,'494',577,'0637,krn:{"',650,'0278}}],[0.','438',475,493,'046,','krn:{"127":0.111}}],[0.','57',577,'0359}],[0.','517',213,',{',638,'571',577,'0359,krn:{"59',517,'58":-0.',651,'437',577,'113,krn:{"',650,725,'54',577,'0359,',677,323,'596',475,',0.194,{',638,'626',213,',{',694,'651',475,493,'0359,',730,'622',577,733,'466',258,638,'591',',0.694,0,{',638,'828',577,624,'517',213,',{',638,'363',603,',0.0972,{ic:0.','0799,',638,'654',213,',{',677,'0.0833}}],[1',286,'1',286,'1',286,'1',286,'0.278',',0.464,-0.0363],[','0.278',801,'0.5,0.465,-0.0347],[',804,'0.5',211,'5',211,'5',211,'5',213,'],[0.5',213,'],[0.5',213,266,'5',213,266,'5',213,'],[',255,'],[',255,256,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',517,'65',517,'77',517,'78',517,'89":0.0556,"90":-0.',651,'778',830,804,'0.531',199,'0556,',638,'75',294,'127":','0.','139}}],[0.','759',420,'0502,',638,'715',420,'0715,krn:{"61',296,650,381,'828',420,620,694,'738',420,'0576,',638,'643',420,'139',630,381,'786',327,638,'831',420,'0812,krn:{"61',517,650,651,'44',420,'0785,',730,'555',420,'0962',630,'167}}],[0.','849',420,'0715,krn:{"61',517,650,651,'681',294,850,323,'97',420,'109,krn:{"','61',517,650,381,'803',420,906,'61',371,'61',296,650,381,'763',420,620,638,'642',420,'139',630,381,'791,0.683',756,638,'759',420,'00773,',638,'613',420,'0576,krn:{"61',517,650,381,'584',420,'139,krn:{"61',296,650,381,'683',420,906,'59":-0.111,"',742,'111,"61',517,850,323,'583',420,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',420,'139',960,'828',420,'0785,krn:{"61',371,'61',296,650,381,'581',420,'222',960,'683',420,'0715,krn:{"61',517,650,381,'389,0.75],[0.389',238,'0.389',238,'1,0.358,-0.142],[',987,'0.417',774,730,'529',211,'429',203,'433',258,694,'52',246,'89":0.0556,"90',517,'106":-0.111,"102":-0.167,"',634,'466',258,694,'49',475,493,'108,krn:{"',650,893,'477',603,493,'0359,',677,323,'576',246,'127":-',323,'345,0.66],[0.412,0.66',493,'0572,krn:{"59',517,742,651,'521',199,'0315}],[0.298',199,'0197,',638,'878',211,'6',211,'485',258,694,'503',213,',{',638,'446',603,493,'0359,',638,'451',577,620,'krn:{"',650,651,'469',258,694,'361,0.615,0,{',638,'572',231,850,323,'485',577,'0359,',677,323,'716',577,'0269,',638,'572',231,850,323,'49',603,493,'0359,',694,'465',577,'044,',694,'322',231,850,323,'384',213,',{',638,'636',213,',{',730,'5,0.714',',0,{ic:0.','154}],[0.278',199,'399}]],cmsy10:[[',254,'0.278,0.444,-0.0556],[',254,804,254,'0.5,0.444,-0.0556],[',254,254,254,254,254,254,254,'1',238,1111,1111,'0.778',801,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1126,1126,1126,1126,1126,'],[0.778',286,'0.778,0.483,-0.0169],[0.778',830,'0.778',830,'1',830,'1',830,'0.778',830,'0.778',830,'1',286,'1',286,'0.5',238,'0.5',238,'1',286,'1',238,'1',238,'0.778',801,'1',286,'1',286,'0.611',238,'0.611',238,'1',286,'1',238,'1',238,'0.778',211,'275,0.556],[1',211,'667',830,'0.667',830,'0.889',238,'0.889',238,'0',238,'0',286,'0.556',203,'556',203,'667',211,'5',240,'722',203,'722',203,'778',203,'778',203,'611',203,'798',294,'48":0.','194}}],[0.657',420,'0304',',krn:{"48":0.',852,'527',420,'0583',1216,852,'771',420,'0278',1216,381,'528',420,'0894',1216,'111}}],[0.','719',420,'0993',1216,1232,'595',',0.683,0.0972,{ic:0.','0593',1216,1232,'845',420,'00965',1216,1232,'545',420,'0738,krn:{"48":',323,'678',1239,'185',1216,893,'762',420,'0144',1216,651,'69',294,1212,'139}}],[1.2',294,1212,852,'82',420,'147',1216,381,'796',420,1225,1216,1232,'696',420,'0822',1216,381,'817,0.683,0.0972,{krn:{"',1212,1232,'848',294,1212,381,'606',420,'075',1216,852,'545',420,'254,krn:{"48":',323,'626',420,'0993',1216,381,'613',420,'0822,krn:{"48":',323,'988',420,'0822',1216,381,'713',420,'146',1216,852,'668',1239,'0822',1216,381,'725',420,'0794',1216,852,'667,0.556],[0.',1329,1329,1329,1329,'611',203,'611',203,'444',250,'444',250,'444',250,'444',250,'5',250,'5',250,'389',250,'389',250,'278',250,'5',250,'5',250,'611',250,'5',250,'278',238,'0.833,0.04,0.96],[0.75',177,'833',177,'417',475,493,'111}],[0.',1329,'667,0.556',1126,1126,'],[0.444',238,'0.444',238,'0.444',238,'0.611',238,'0.778,0.694,0.13','],[',1386,'],[',1386,'],[',1386,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1394,'17}],[0.417',1394,'104}],[0.417',1394,'105}],[0.','472',1394,'106}],[0.472',1394,'107}],[0.472',1394,'108}],[0.','472',1394,'109}],[0.583',1394,'110}],[0.583',1394,1373,'472',1394,'68}],[0.472',1394,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1421,'rep:13}}],[0.578',1394,'46}],[0.578',1394,'47}],[0.597',',0.04,1.76,{','n:18}],[0.597',1429,'n:19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1433,'33}],[0.528',1433,'34}],[0.528',1433,'35}],[0.583',1433,'36}],[0.583',1433,'37}],[0.583',1433,'38}],[0.583',1433,'39}],[0.75',1433,'40}],[0.75',1433,'41}],[0.75',1433,'42}],[0.75',1433,'43}],[1.04',1433,'44}],[1.04',1433,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1461,'49}],[0.583',1461,'50}],[0.583',1461,'51}],[0.639',1461,'52}],[0.639',1461,'53}],[0.639',1461,'54}],[0.639',1461,'55}],[0.806',1461,'56}],[0.806',1461,'57}],[0.806',',0.04,2.96],[','0.806',1481,'1.28',1481,'1.28',1481,'0.811',1429,'n:30}],[0.811',1429,'n:31}],[0.875',1429,'delim:{top:','48,bot:64,rep:66}}],[0.875',1429,1494,'49,bot:65,','rep:67}}],[0.','667',1429,1494,'50,bot:52,rep:54}}],[0.667',1429,1494,'51,bot:53,rep:55}}],[0.667',1429,'delim:{bot:','52,rep:54}}],[0.667',1429,1508,'53,rep:55}}],[0.667',1421,'top:50,rep:54}}],[0.667',1421,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1517,'57,mid:61,bot:59,rep:62',1517,'56,bot:58,rep:62',1517,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1525,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1421,'top:120,','bot:121,rep:63}}],[0.','875',1429,1494,'56,bot:59,',1529,'875',1429,1494,'57,bot:58,',1529,'875',1421,'rep:66}}],[0.875',1421,1499,'611',1429,'n:28}],[0.611',1429,'n:29','}],[0.833,0,1,{n:','71}],[1.','11,0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[0.556,0,2.22,{ic:0.444}],[1.','11,0,1,{n:','75}],[1.51',',0.1,1.5],[1.',1559,'77}],[1.51',1561,1559,'79}],[1.51',1561,'06,0,1,{n:88}],[','0.944,0,1,{n:','89}],[',1557,'90',1554,'91',1554,'92',1554,'93',1554,'94',1554,'95}],[1.44',1561,'28,0.1,1.5],[0.556,0',',2.22,{ic:0.444}],[1.11',1561,'11',1561,'11',1561,'11',1561,1556,1569,'97}],[1.',1584,'.722,0,{n:99','}],[1,0.75,0,{n:','100','}],[1.44,0.75],[0.','556,0.722,0,{n:102',1598,'103',1600,'472',1429,'n:20}],[0.472',1429,'n:21}],[0.528',1429,'n:22}],[0.528',1429,'n:23}],[0.528',1429,'n:24}],[0.528',1429,'n:25}],[0.667',1429,'n:26}],[0.667',1429,'n:27}],[1',1394,'113}],[1',1429,'n:114}],[1',1433,'115}],[1',1461,'116}],[1.06,0,1.8,{',1494,'118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1421,'top:126,','bot:127,rep:119','}}],[0.667',1421,1532,'rep:63}}],[0.667',1421,1533,'45,0.12],[0.',1641,1641,1641,'778',1421,1633,'rep:119}}],[0.778',1421,1634,'}}]],cmti10:[[0.627',420,'133}],[0.818',177,'767',420,'094}],[0.692',177,'664',420,'153}],[0.743',420,'164}],[0.','716',420,'12}],[0.','767',420,1373,'716',420,'0599}],[0.767',420,1373,'716',420,'103}],[0.','613',475,493,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',201,'562',475,493,1677,'588',475,493,1677,'882',475,493,1677,'894',475,493,1677,'307',577,'0767}],[0.','332',603,493,'0374}],[0.511',203,'511',199,'0969','}],[0.511,0.','628',1102,'083}],[0.511',199,'108',1710,'562',1102,1677,'831',203,'46,0,0.17],[0.537',475,493,1401,'716',577,'0751}],[0.716',577,'0751',1710,'528',785,'0919}],[0.883',420,1666,'985',420,1666,'767,0.732,0.0486,{ic:0.094}],[0.256',231,'108":-0.256,"76":-0.321}}],[0.307',199,'124,lig:{"96":',234,'514',199,'0696}],[0.818',475,493,'0662}],[0.769',203,'818,0.75,0.0556,{ic:0.136}],[0.767',199,'0969}],[0.307',199,'124,krn:{"63":0.102,"33":0.102',248,'409',',0.75,0.25,{ic:0.','162}],[0.409',1760,'0369',1710,'75',1102,'149}],[0.767,0.562,0.0567,{ic:0.0369','}],[0.307,0.','106',256,'358',577,'0283,',259,'123}}],[0.307,0.106],[0.511',1760,'162}],[','0.511,0.644,0,{ic:0.136}],[',1778,1778,1778,'0.511',265,493,'136}],[',1778,1778,'0.511',265,493,'136}],[',1778,1778,'0.307',577,'0582',1768,'431',493,'0582',1768,'5',493,'0756}],[0.767,0.367,-0.133,{ic:0.0662',1710,'5',256,'511',199,'122,lig:{"96":62}}],[0.767',199,'096}],[0.743',327,'krn:{"110":-0.0256,"108":-0.0256,"114":-0.0256,"117":-0.0256,"109":-0.0256,"116":-0.0256,"105":-0.0256,"67":-0.0256,"79":-0.0256,"71":-0.0256,"104":-0.0256,"98":-0.0256,"85":-0.0256,"107":-0.0256,"118":-0.0256,"119":-0.0256,"81":-','0.0256,"84','":-0.0767,"','89',1816,'86','":-0.102,"','87',1820,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',420,1677,'716',420,'145}],[0.','755',420,'094,krn:{"88','":-0.0256,"','87',1833,'65',1833,'86',1833,'89','":-0.0256}}],[0.','678',420,1666,'653',420,'133,krn:{"','111','":-0.0767,"101":-0.0767,"','117','":-0.0767,"114":-0.0767,"97":-0.0767,"','65',1820,'79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',420,'0872}],[0.743',420,1663,'386',420,'158}],[0.525',420,'14}],[0.769',420,'145,krn:{"',1854,'627',294,'84',1816,'89',1816,'86',1820,'87',1820,1823,'897',420,1663,'743',420,1663,'767',420,'094,krn:{"88',1833,'87',1833,'65',1833,'86',1833,'89',1841,'678',420,'103',',krn:{"65":-0.0767}}],[0.','767,0.683',493,'094}],[0.729',420,'0387,',1814,'0.0256,"84',1816,'89',1816,'86',1820,'87',1820,1823,'562',420,1666,'716',420,1847,'121',1849,'111',1851,'117":-0.0767,"65":-0.0767}}],[0.','743',420,1663,'743',420,'184,krn:{"111',1849,'117',1851,'65',1820,1854,'999',420,'184',1900,'743',420,'158,krn:{"',1854,'743',420,'194,',440,1816,'111',1851,1926,'613',420,1829,'307',1760,'188}],[0.514',199,'169}],[0.307',1760,1401,'511',199,'0665',1768,'668',1102,'118}],[0.307',199,1744,465,'511',577,1701,'46',199,'0631,krn:{"',1823,'46',577,'0565,krn:{"',1823,'511',199,'103,krn:{"108":0.0511}}],[0.','46',577,'0751,krn:{"',1823,'307',475,493,1681,491,'46',603,493,'0885}],[0.511',199,'0767',1768,'655',1102,'102',1768,'655',493,1829,'46',199,1408,'256',199,1988,'818',577,1701,'562',577,'0767,krn:{"39":-0.102}}],[0.511',577,'0631,',440,'":-0.0511,"97":-0.051'],
  ['1',',"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','511',',0.431,0.194,{ic:0.','0631,krn:{"101','":-0.0511',',"97',5,1,'46',3,'0885}],[0.','422',',0.431,0,{ic:0.','108,krn:{"','101',5,',"97',5,1,'409',13,'0821}],[0.332,0.615,0,{ic:0.0949}],[0.537',13,'0767}],[0.46',13,'108}],[0.664',13,14,'108":0.0511}}],[0.464',13,'12}],[0.486',3,11,'409',13,'123}],[0.511',13,'0921',',lig:{"45":124}}],[1.','02',13,'0921}],[0.511,0.694,0,{ic:0.122','}],[0.511,0.668,0,{ic:0.','116',43,'105}]],cmbx10:[[0.692',',0.686],[0.','958',47,'894',47,'806',47,'767',47,'9',47,'831',47,'894',47,'831',47,'894',47,'831',47,'671',',0.694,0,{ic:0.109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15}}],[0.639',',0.694],[0.','639',71,'958',71,'958',71,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',82,'694',82,'632',82,'694',82,'596],[0.869',71,'511,0,0.17],[0.597',71,'831',79,'894,0.444',82,'542,0.0972],[1.04,0.686],[1.17',47,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378}}],[0.35',',0.694,0,{lig:{"96":','60}}],[0.603',71,'958,0.','694,0.194',82,'75,0.0556],[0.',107,110,'894',71,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128},lig:{"39":34}}],[0.447',',0.75,0.25],[0.','447,0.75,0.25',82,'75],[0.894,0.633,0.133],[','0.319,0.156',',0.194],[0.','383',',0.444,0',',{lig:{"45":123}}],[',122,82,'75,0.25',82,'644',82,'644',82,'644',82,'644',82,'644',82,'644',82,'644',82,'644',82,'644',82,'644],[0.319',79,'319',81,'],[0.35,0.5',123,'894,0.391,-0.109],[0.543,0.5',123,'543',104,'62}}],[0.894',71,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',164,'79',164,'71',164,'85',164,'81',164,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',47,'831',47,'882',162,'88',164,'87',164,'65',164,'86',164,'89','":-0.0319}}],[0.','756',47,'724,0.686,0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',47,'9',47,'436',162,'73','":0.0319}}],[0.','594',47,'901',162,'79',164,'67',164,'71',164,'81',191,'692',162,175,'1.09',47,'9',47,'864',162,'88',164,'87',164,'65',164,'86',164,'89',191,'786',162,'65":-0.0958,"111',164,'101',164,'97',164,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',123,'862',162,'116',164,'67',164,'79',164,'71',164,'85',164,'81',164,175,'0.639',47,'8',162,'121',164,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',47,'869,0.686,0,{ic:0.','016,',195,'1.19,0.686,0,{ic:0.016,',195,'0.869',162,'79',164,'67',164,'71',164,'81',191,270,'0287,krn:{"',267,'703',47,'319',118,'603',71,'319,0.75,0.25',82,'694],[0.319',71,'319',104,'92}}],[0.559',102,'118',164,'106":0.0639,"121',164,'119',191,'639,0.694,0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',102,'104',164,'107',191,'639',71,'527',79,'351',69,'12,"102":11,"108":13}}],[0.575',81,',{ic:0.016,krn:{"','106',203,'639',116,'116',164,'117',164,'98',164,'121',164,'118',164,'119',191,'319',71,'351,0.694',123,'607',116,'97":-0.0639,"101',164,'97',164,'111',164,'99',191,'319',71,'958',102,'116',164,'117',164,'98',164,'121',164,'118',164,'119',191,'639',102,'116',164,'117',164,'98',164,'121',164,'118',164,'119',191,'575',125,309,'639',81,309,'607',81,'],[0.474',79,'454',79,'447,0.635,0,{krn:{"121',164,'119',191,'639',102,'119',191,'607',125,324,'97":-0.0639,"101',164,'97',164,'111',164,'99',191,'831',125,324,'101',164,'97',164,'111',164,'99',191,'607',79,'607',81,324,'111',164,'101',164,'97',164,243,'511,0.444',82,'444,0,{ic:0.0319',39,'15,0.',441,'}],[0.575,0.694',82,'694',82,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_96){for(var _97 in _96){if(!','this.update[_97',']){',454,']=[];}',454,']=',454,'].concat(_96[_97]);}},AddFont',452,'_98,def){if(!',450,'[_98]){',450,'[_98]={};}','jsMath.Add(',450,'[_98],def);},UpdateFonts',':function(){','var _9a=this.update;','if(!this.loaded){','return;}var ','_9b=this[','jsMath.Img.fonts','[this.best]];','for(var _9c in _9a){','for(var i=0;i<','_9a[_9c].length;i++){var c=_9a[_9c][i];if(c=="all"){for(c in ','jsMath.TeX[','_9c]){',481,'_9c][c].img','={};}}else{',481,484,'={};}}}this.update={};},BestSize',471,'var w=jsMath.em*this.factor;var m=','this.w[this.fonts[','0]];for(var i=1;i<','this.fonts','.length;i++){','if(w<(',491,'i]]+2*m)/3){','return ','i-1;}m=',491,'i]];}',498,'i-1;},Scale',471,473,'return;}this.best=this.BestSize();this.em=',450,'.w[',493,477,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',511,'-1)<0.12){',511,'=1;}},URL',452,'_a2,_a3,C){var _a5=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_a3!=""){_a3+="/";}','return this.','root+_a2+_a5+_a3+C;},LoadFont',452,'_a6){',473,'this.Init();}jsMath.Setup.Script(this.URL(_a6,""));},Init',471,'if(',520,'print){',520,'print=0;var _a7=jsMath.Element("button");if(_a7){_a7.style.display="none";}this.factor*=3;if(jsMath.window.location.protocol!="file:"){jsMath.Controls.SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',520,'alpha=0;}}var _a8="0123456789ABCDEF";this.HexCode=[];',479,'128;i++){var h=Math.floor(i/16);var l=i-16*h;this.HexCode[i]=_a8.charAt(h)+_a8.charAt(l);}this.loaded=1;}};jsMath.HTML={Em',452,'m){var n=5;if(m<0){n++;}',513,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");',498,'s+"em";},Spacer',452,'w){if(w','==0){return "";}',498,534,'msieSpaceFix+"<span style=\\"margin-left',': "+this.Em(w-',534,'spaceWidth',')+"\\">"+',534,'hiddenSpace+"</span','>";},Rule',452,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}','if(w==0||h',548,'w*=',534,'imgScale',';h=Math.round(h*jsMath.em*',534,565,'+0.25);if(h<1){h=1;}return "<','img src=\\""+jsMath.blank','+"\\" hspace=\\"0\\" vspace=\\"0\\" "+"style=\\"width',':"+this.Em(','w)+"; height:1px; "+"','vertical-align',':-1px; "+"border:0px none; border-top:"+h+"px solid\\" />";},Class',452,'_b2,_b3){return "<span class=\\""+_b2+"\\">"+_b3+"</span>";},Place',452,'_b4',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _b7','="<span style=\\"position: ','relative',';";if(x){_b7+=" margin-left',572,'x)+";";}if(y){_b7+=" ','top:"+this.Em(-y',')+";";}_b4=_b7+"\\">"+_b4','+"</span>";}',498,'_b4;},PlaceSeparateSkips',452,'_b8',580,'if(y){_b8',582,583,'; ',587,')+";"+"\\">"+_b8',589,'if(x){_b8=',534,551,572,'x-',534,554,')+";\\">"+',534,557,'>"+_b8',';}return ','_b8;},PlaceAbsolute',452,'_bb',580,'_bb',582,'absolute; left',572,'x)+"; "+"top',572,'y',609,'_bb+"&nbsp;</span>";',498,'_bb;},Absolute',452,'_be,w,h,d,y,H){var _c4="";if(d&&d!="none"){_c4=" ',574,': "+','jsMath.HTML.','Em(-d)+";";}if(y!="none"){',513,'y)<0.0001){y=0;}_be',582,'absolute; "+"top:"+',633,'Em(y)+"; left: 0em',';\\">"+_be','+"&nbsp;"+"</span>";}_be+="<',570,'+"\\" style=\\""+"width:"+',633,'Em(w*',534,565,')+"; "+"height:"+',633,'Em(h*',534,565,')+";"+_c4+"\\" />";if(',534,'msieAbsoluteBug){_be',582,583,641,589,'_be',582,583,';"+" width: "+',633,'Em(w)+";"+" height: "+',633,'Em(H)+";"+',534,'msieInlineBlockFix+"\\">"+_be+"</span>";',498,'_be;}};','jsMath.Box','=function(','_c5,_c6,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html=','_c6;this.format=_c5;};',468,673,',{defaultH:0,Null:','new jsMath.Box("','null","",0,0,0),Text',452,'_ca,_cb,_cc,_cd,a,d){var _d0=','jsMath.Typeset.AddClass(','_cb,_ca);_d0=','jsMath.Typeset.','AddStyle(','_cc,_cd,_d0);var BB','=jsMath.EmBoxFor(','_d0);var TeX=',687,'TeX(_cc,_cd);var bd=((_cb=="cmsy10"||_cb=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);','var box=',681,'text",_ca,BB.w,BB.h-bd,bd);box.style=_cc;box.size=_cd;','box.tclass','=_cb;if(d','!=null){box.','d=d','*TeX.scale;}else{box.','d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+TeX.scale*a;}','return box;},','TeX',452,'C,_d6,_d7,_d8){var c=',481,'_d6][C];if(','c.d==null){c.d=0;}','if(c.h','==null){c.','h=0',';}if(c.img!=null','&&c.c!=""){this.TeXIMG(_d6,C,',687,'StyleSize(_d7,_d8));}var _da=',687,'TeX(_d7,_d8).scale;var h=c.h+',481,'_d6].dh;',694,681,'text",c.c,c.w*_da,h*_da,c.d*_da);box.style=_d7;box.size=_d8;if(c.tclass){',697,'=c.tclass;if(c.img){box.bh=c.img.bh;box.bd=c.img.bd;}else{box.bh=_da*jsMath.h;box.bd=_da*jsMath.d;}}else{',697,'=_d6;box.bh=_da*',481,'_d6].h;box.bd=_da*',481,'_d6].d;if(',534,'msieFontBug&&box.html.match(/&#/)){box.html+="<span style=\\"display: none\\">x</span','>";}}',703,'TeXfallback',452,'C,_de,_df,_e0','){c=',481,'_de][C];if(!c.tclass){c.tclass=_de',713,'){',522,'TeXnonfallback(',738,');}if(c.h!=null&&c.a',711,'a=c.h-1.1*jsMath.TeX.x_height;}',694,'this.Text(c.c,c.tclass,_df,_e0,c.a,c.d);var _e2=',687,'TeX(_df,_e0).scale;if(c.bh',699,'bh=c.bh*_e2;box.bd=c.bd*_e2;}else{var h=box.bd+box.bh;var _e4=',685,697,',box.html);_e4=',687,688,'_df,_e0,_e4);box.bd',690,'_e4+"<',570,'+"\\" "+"style','=\\"width: 1px; height: "+',633,'Em(h)+"\\" />").h-h;box.bh=h-box.bd;if(_e2==1){c.bh=box.bh;c.bd=box.bd;}}if(jsMath.',733,'>";}',703,'TeXIMG',452,'_e5,C,_e7){var c=',481,'_e5][C];if(c.img.size!=null&&c.img.size==_e7&&c.img.best!=null&&c.img.best==','jsMath.Img.best','){',474,'_e9=(',450,'.scale!=1);var id=',777,'+_e7-4;if(id<0){id=0;_e9=1;}else{if(id>=',476,'.length){','id=',476,'.length-1',';_e9=1;}}var _eb=',450,'[',476,'[id]];var img=_eb[_e5][C];var _ed=1/',450,'.w[',476,'[id]];if(id!=',777,'+_e7-4){if(c.w!=null){_ed=c.w/img[0];}else{_ed*=',476,'[_e7]/',476,'[4]*',476,'[',777,']/',476,'[id];}}var w=img[0]*_ed;var h=img[1]*_ed;var d=-img[2]*_ed;var v;var _f2=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',633,'Em(c.w-w)+";";var _f3="";C=',450,'.HexCode[C];if(!_e9&&!',520,'scaleImg){if(2*w<h||(',534,'msieAlphaBug&&',520,'alpha)){_f3="height',':"+(img[1]*',534,565,')+"px;";}_f3+=" width:"+(img[0]*',534,565,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',534,'msieAlphaBug&&',520,820,':"+',633,'Em(h*',534,565,')+";";}_f3+=" width:"+',633,'Em(w*',534,565,')+";";v=',633,'Em(d);}var _f4=(Math.abs(d)<0.01&&!',534,'valignBug)?"":" ',574,':"+v+";";var URL=',450,'.URL(_e5,',476,'[id],C);if(',534,'msieAlphaBug&&',520,'alpha){c.c="<',570,765,'=\\""+',534,'msieCenterBugFix+_f3+_f4+_f2','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{c.c="<img src=\\""+URL+"\\" style=\\""+',534,861,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=_e7;c.img.best=',777,';},Space',452,'w){',498,681,'html",',633,'Spacer(w),w,0,0);},Rule',452,560,'var _f9=',633,'Rule(w,h);',498,681,872,'_f9,w,h,0);},GetChar',452,'_fa,_fb){var c=',481,'_fb][_fa];','if(c.img!=null){this.TeXIMG(','_fb,_fa,4);}if(c.tclass',711,'tclass=_fb;}if(!c.computedW){c.w',690,685,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',709,'c.computedW=1',613,'c;},DelimBestFit',452,'H,c,_ff,_100){if(c==0&&_ff','==0){return null;}','var C;var h;_ff','=jsMath.TeX.fam[','_ff];var isSS=(_100.charAt(1)=="S");var isS=(_100.charAt(0)=="S");while(c!=null){C=',481,'_ff][c];if(C.h==null){C',896,'C.d==null){C.d=0;}h=C.h+C.d;if(C.delim','){return [c,_ff',',"",H];}if(isSS&&0.5*h>=H',911,',"SS",0.5*h];}if(isS&&0.7*h>=H',911,',"S",0.7*h];}if(h>=H||C.n==null',911,',"T",h];}c=C.n',613,'null;},DelimExtendRelative',452,'H,c,font,a,','_109){var C=',481,'font][','c];var top=this.GetChar(C.delim.top?C.delim.top:C.delim.rep,font);var rep=this.GetChar(C.delim.rep,font);var bot=this.GetChar(C.delim.bot?C.delim.bot:C.delim.rep,font);','var ext=',685,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;','if(C.delim.mid){var mid=this.GetChar(C.delim.mid,font);var n=Math.ceil((H-(top.h+top.d)-(mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',931,')));H=2*n*(',931,')+(top.h+top.d)+(','mid.h+mid.d',')+(',935,');if(_109){y=0;}else{y=H/2+a;}var Y=y',';var html=',633,'Place(',685,'top.tclass,top.c),0,','y-top.h)+',633,947,685,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',633,947,685,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',479,'n;i++){','html+=',633,947,'ext,-w,y-i*h);}}','else{var n=Math.ceil((H-(top.h+top.d)-(bot.h+bot.d','))/(',931,'));if(top.h+top.d<0.9*(',931,')){n=Math.max(1,n);}H=n*(',931,940,935,');if(_109){y=0;}else{y=H/2+a;}var Y=y',945,633,947,685,949,'y-top.h);dx=(w-top',961,965,633,947,685,954,'w+bot.w)/2,Y-(H-bot.d));}if(_109){h=top.h;}else{h=H/2+a;}','var box=new jsMath.Box("html",html,rep.w,h,H-h);box.bh=jsMath.TeX[font].h;box.bd=jsMath.TeX[font].d;return box;},','DelimExtendAbsolute',452,922,'_122){var Font=',481,'font];var ','C=Font[',926,933,'-0.05)-(',935,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',1006,940,941,'-0.05)+(',935,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',685,949,'0);var h=',1006,';var y=top.d-0.05+rep.h;var ext=',685,'font,rep.c);',479,'n;i++){',965,1014,'ext,0,y+i*h);}',965,1014,685,959,'),0,y+n*h-rep.h+mid.h);y+=n*h+',941,'-0.05;',479,'n;i++){',965,1014,'ext,0,y+i*h);}',965,1014,685,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}',969,1004,1006,'));H=n*(',1006,940,935,'-0.05);html=',1014,685,949,'0);var h=',1006,';var y=top.d-0.05+rep.h;var ext=',685,929,479,'n;i++){',965,1014,'ext,0,y+i*h);}',965,1014,685,1042,'var w=top.w;if(_122){h=top.h;y=0;}else{h=H/2+a;y=h-top.h;}html=',633,'Absolute(html,w,','Font.h,"none",-y,top.h);',992,'Delimiter',452,'H,_137,_138,_139){var size=4;var TeX=',687,'TeX(_138,size);if(!_137){',522,'Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_137[','2],_137[1],_138);if(CFSH==null||CFSH[3]<H){',1081,'4],_137[3],_138);}if(CFSH==null){',522,1079,'if(CFSH[2]==""){',522,'DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_139);}box=',673,'.TeX(',1090,'CFSH[2],size',').Styled();if(_139){box.y=-',481,'CFSH[1]].dh',701,'y=-((box.h+box.d)/2-box.d-',1091,');}',513,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',1096,');}',703,'GetCharCode',452,'code){var font',905,'code[0]];var Font=',481,998,'c=Font[code[1]];',888,'font,code[1],4);}if(c.w',711,'w',690,685,894,';}if(c.font',711,'font=font',613,'c;},AddClass',452,'_141,html',',font){if(_141==null){_141=font',613,685,1132,');},LayoutRelative',452,'size,_145,_146,_147){if(_146==null){_146=[];}if(_147==null){_147=[];}var _148=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_14c=-1000;var bh=_14c;var bd=_14c',';var i;var j;var row;for(i=0;i<','_145',494,'row=_145','[i];H[i]=jsMath.h*','_148',';D[i]=jsMath.d*','_148',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(bh==_14c){bh=0;}if(bd==_14c){bd=0;}','var HD=(jsMath.hd-0.01)*','_148;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _15a;var _15b',';for(j=0;j<W.length;j++){','_15a=[];y=-H[0];pW=0',';for(i=0;i<','_145',494,'_15b=_145[i][j];if(_15b&&_15b','.format!="null"){if(','_146[j]=="l"){w=0;}else{if(_146[j]=="r"){w=W[j]-_15b.w;}else{w=(W[j]-_15b.w)/2;}}_15b.x=w-pW;pW=_15b.w+w;_15b.y=y;_15a[_15a.length]=_15b;}if(i==_145',789,'){y-=D[i];}else{y-=','Math.max(HD,D[i]+H[i+1])+','_148/10;}}if(_147[j]==null){_147[j]=_148;}if(_15a.length>0',1106,'(_15a,"T",size);',965,633,947,'box.html,cW,0);cW=W[j]-box.w+_147[j];}else{cW+=_147[j];}}w=-_147[W',789,'];y=(H',789,')*_148/10',1159,'W',494,'w+=W[i]+_147[i];}','for(i=0;i<H.length;i++){y+=Math.max(HD,H[i]+D[i]);}h=y/2+jsMath.TeX.axis_height;var d=y-h;',965,633,'Spacer(cW-_147[W',789,']+_148/6);html=',633,947,'html,_148/6,h);box=',681,'html",html,w+','_148/3,h,d);box.bh=bh;box.bd=bd;',703,'LayoutAbsolute',452,'size,_15e,_15f,_160){if(_15f==null){_15f=[];}if(_160==null){_160=[];}var _161=jsMath.sizes[size]/100;',1153,'_161',1140,'w=0;var h;var x;var y',1142,'_15e',494,'row=_15e',1146,'_161',1148,'_161',1150,1151,'w;}}}}y=(H',789,')*_161/6;',1183,1155,'_16f;w=_161/6',1157,'y=H[0]-h',1159,'_15e',494,'_16f=_15e[i][j];if(_16f&&_16f',1163,'_15f[j]=="l"){x=0;}else{if(_15f[j]=="r"){x=W[j]-_16f.w;}else{x=(W[j]-_16f.w)/2;}}',965,1014,'_16f.html,w+x,y-Math.max(0,_16f.bh-jsMath.h*_161));}if(i==_15e',789,'){y+=D[i];}else{y+=',1167,'_161/6;}}if(_160[j]==null){_160[j]=_161;}w+=W[j]+_160[j];}w=-_160[W',789,']+_161/3',1159,'W',494,'w+=W[i]+_160[i];}html=',633,'Spacer(_161/6',')+html+',633,1241,');if(',534,'spanHeightVaries){y=h-jsMath.h;}else{y=0;}html=',633,1070,'h+d,d,y,H[0]);',694,681,1193,'_161/3,h,d);',703,'InternalMath',452,'text,size){if(!text.match(/\\$|\\\\\\(/)){',522,'Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _176="";var _177=[];var _178;var html;var box;while(i<text',786,'c=text.charAt(i++);if(c','=="$"){if(_176=="$"){','_178=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_178.error){_177[_177.length]=this.Text(_178.error,"error","T",size,1,0.2);}else{_178.Atomize();_177[_177.length]=_178.mlist.Typeset("T",size).Styled();}_176="";k=i',';}else{','_177[_177.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,0.2);','_176="$";k=i;}}else{if(c=="\\\\"){',1262,'=="("&&_176==""){',1268,',i-2',1270,'_176=")";k=i;}else{if(c==")"&&_176==")"){',1264,'2',1266,';}}}}}',1268,1270,522,'SetList(_177,"T",size);},Set',452,'box',',_17c,size',',_17e){if(box){','if(box.type=="typeset"){',498,'box;}if(box.type=="mlist"){box.mlist.Atomize(_17c,size);',498,'box.mlist.Typeset(_17c,size);}if(box.type=="text"){box=this.Text(box.text,',697,1288,',box.ascend,box.descend',');if(_17e!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1288,1298,498,673,'.Null;},SetList',452,'_17f,_180,size){var _182=[];var box;',479,'_17f',494,'box=_17f[i];',1290,'box=','jsMath.mItem','.Typeset(box);}_182[_182.length]=box;}var _185=new jsMath.Typeset(_182);',498,'_185.Typeset(_180,size);}});','jsMath.Package(jsMath.','Box,{Styled',471,'if(this.format=="text"){',676,685,'this.tclass',',this.html);',676,687,688,'this.style,this.size',1324,'delete this.','tclass;',1330,'style;this.format="html";}',498,'this;},Remeasured',471,'if(this.w>0&&!this.html.match(/position: ?absolute/)){this.w',690,'this.html).w',613,'this;}});',1313,674,'type,def){this.type=type;',468,'this,def);};',468,1313,',{Atom',452,'type,_189','){return new jsMath.mItem','(type,{atom:1,nuc',':_189});},TextAtom',452,'type,text,_18c,a,d){var atom=new ',1313,1353,':{type:"text",text:text,tclass:_18c}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1360,'descend=d',613,'atom;},TeXAtom',452,'type,c,font',1352,1353,':{type:"TeX",c:c,font:font}});},Fraction',452,'name,num,den,_196,left,_198',1352,'("fraction",{from:name,num:num,den:den,thickness:_196,left:left,right:_198});},Space',452,'w',1352,'("space",{w:w});},Typeset',452,'box',1352,'("box",{nuc:box});},HTML',452,'html',1352,'("html",{html:html});}});jsMath.mList',674,'list,font,size,_19f){if(list){this.mlist=list;}else{this.mlist=[];}if(_19f==null){_19f="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_19f','};this.init={',1389,'};};',1317,'mList,{Add',452,'box){return (','this.mlist[','this.mlist.length',']=box);},Get',452,'i){',522,'mlist[i];},Length',471,498,1398,';},Last',471,'if(',1398,903,522,'mlist[',1398,'-1];},Range',452,'i,j){if(j==null){j=',1398,613,'new jsMath.mList','(this.mlist.slice(i,j+1));},Delete',452,1417,'i;}if(','this.mlist.splice','){',1425,'(i,j-i+1);}else{var _1a6=[];for(var k=0;k<',1398,';k++){if(k<i||k>j){_1a6[_1a6.length]=',1397,'k];}}this.mlist=_1a6;}},Open',452,'left){',694,'this.Add(new ',1313,'("boundary",{','data:this.data}));var _1aa=this.data;this.data={};for(var i in _1aa){this.data[i]=_1aa[i];}',1330,'data.overI;',1330,'data.overF;this.data.openI=',1398,'-1;if(left',699,'left=left;}',703,'Close',452,'_1ac){if(_1ac!=null){_1ac=new ',1313,1438,'right:_1ac});}var atom;var open=this.data.openI;','var over=this.data.overI;var from=this.data.overF;','this.data=',1397,'open].data;if(over){','atom=jsMath.mItem.Fraction(from.name,{type:"mlist",mlist:this.Range(open+1,over-1)},{type:"mlist",mlist:this.','Range(over)},from.thickness,from.left,from.right);if(_1ac){var _1b1=',1420,'([',1397,'open],atom,_1ac]);atom=',1313,'.Atom("inner','",{type:"mlist",mlist:','_1b1});}}else{var _1b2=open+1;if(_1ac){this.Add(_1ac);_1b2--;}atom=',1313,'.Atom((_1ac)?"inner":"ord',1467,'this.Range(_1b2)});}this.Delete(open,this.Length());',522,'Add(atom);},Over',471,1455,'var ',1459,'Rang'],
  ['e(over)},from','.thickness',',from.left,from.right);','this.mlist','=[atom];},Atomize',':function(','_1b6,size','){var ','_1b8;var prev="";','this.style','=_1b6;','this.size','=size',';for(var i=0;i<this.mlist.length;i++){','_1b8=',3,'[i];_1b8','.delta=0;','if(_1b8','.type=="','choice"){',3,'=this.Atomize.choice(',9,',_1b8,i,',3,');i--;}','else{if(','this.Atomize[_1b8.type',']){var f=',28,'];f(',9,',',11,',_1b8,prev,this,i);}}prev=_1b8;}',18,'&&_1b8',19,'bin"){','_1b8','.type="ord";}','if(',3,'.length>=2&&_1b8',19,'boundary"&&',3,'[0].type=="boundary"){this.','AddDelimiters','(',6,');}},',49,5,'_1bc,size',7,'_1be=-10000;var h=_1be;var d=_1be',13,'mitem=',3,'[i];if(mitem.atom||mitem',19,'box"){h','=Math.max(','h,','mitem.nuc.','h+',66,'y);d',64,'d,',66,'d-',66,'y);}}var TeX','=jsMath.TeX',';var a=','jsMath.Typeset.','TeX(',55,').axis_height;var _1c4',64,'h-a,d+a);var H',64,'Math.floor(','TeX.integer','*_1c4/500)*TeX.delimiterfactor,',86,'*(2*_1c4-TeX.delimitershortfall))/',86,';var left=',3,'[0];var _1c7=',3,'[',3,'.length-1];left.nuc','=jsMath.Box.','Delimiter(H,','left.left',',_1bc);_1c7.nuc',98,99,'_1c7.right',',_1bc);left.type="open";left','.atom=1;delete ',100,';_1c7.type="close";_1c7',106,104,';},Typeset',5,'_1c8,size',7,'_1ca=new ','jsMath.Typeset','(',3,');return _1ca.Typeset(',113,');}});jsMath.Add(jsMath.mList.prototype.Atomize,{style',5,'_1cb,size,_1cd,prev,_1cf){_1cf.style=_1cd.style;},size',5,'_1d0,size,_1d2,prev,_1d4){_1d4.size=_1d2.size;},phantom',5,'_1d5,size,_1d7',7,'box=_1d7.nuc',98,'Set(','_1d7.phantom',',_1d5',',size);','if(_1d7.h){box','.Remeasured();','box','.html=','jsMath.HTML.','Spacer(','box.w);}else{','box.html="",box.w=0;}if(!_1d7.v){','box.h=box.d=','0;}','box.bd=box.bh=0;delete ',132,';_1d7','.type="box";},','smash',5,'_1d9,size,_1db',7,'box=_1db.nuc',98,131,'_1db.smash',',_1d9,','size).Remeasured();',143,145,156,';_1db',148,'raise',5,'_1dd,size,_1df){','_1df.nuc',98,131,167,',_1dd',',size);var ','y=_1df.raise;',167,138,139,'Place(',167,'.html,0,y);',167,'.h+=y;',167,'.d-=y;_1df','.type="ord";','_1df.atom=1;},lap',5,'_1e1,size,_1e3',7,'box',98,131,'_1e3.nuc',',_1e1,',158,'var _1e5=[box];','if(_1e3.lap=="','llap"){','box.x=-box.w',';}else{',196,'rlap"){_1e5[1]=','jsMath.mItem.Space','(-',141,196,'ulap"){box.y=box.d;',143,'0',199,196,'dlap"){box.y=-box.h;',143,'0;}}}}',192,98,'SetList','(_1e5,_1e1',134,196,'ulap"||_1e3.lap=="dlap"){',192,'.h=',192,'.d=0;}_1e3.type="box";delete _1e3.atom;},bin',5,'_1e6,size,_1e8',',prev){if(prev',7,'type=prev.type;if(type=="bin"||type=="op"||type=="rel"||type=="open"||type=="punct"||type==""||(type=="',46,'prev.left!="")){_1e8.type="ord";}}else{_1e8',41,'jsMath.mList.prototype.Atomize.SupSub(',226,');},rel',5,'_1eb,size,_1ed',227,19,39,'prev',41,233,237,');},close',5,'_1ef,size,_1f1',227,19,39,'prev',41,233,247,');},punct',5,'_1f3,size,_1f5',227,19,39,'prev',41,233,257,');},open',5,'_1f7,size,_1f9','){',233,267,');},inner',5,'_1fa,size,_1fc','){',233,273,');},','vcenter',5,'_1fd,size,_1ff',7,'box',98,131,'_1ff.nuc,_1fd',172,'TeX=',78,'TeX(_1fd',134,'box.y=','TeX.axis_height','-(box.h-box.d)/2;_1ff.nuc=box;_1ff',184,233,280,');},','overline',5,'_202,size,_204',7,'TeX=',78,'TeX(_202',172,'box',98,131,'_204.nuc',',',78,'PrimeStyle','(_202),',158,'var t=','TeX.default_rule_thickness',';var rule',98,'Rule(box.w,t);rule.x=-rule.w;rule.y','=box.h+3*t;',309,98,'SetList([box,','rule],_202',134,309,'.h+=t;_204',184,233,300,');},','underline',5,'_209,size,_20b',7,'TeX=',78,'TeX(_209',172,'box',98,131,'_20b.nuc',',',78,312,'(_209),',158,315,316,';var rule',98,319,'=-box.d-3*t-t;',343,98,323,'rule],_209',134,343,'.d+=t;_20b',184,233,334,');},radical',5,'_210,size,_212',7,'TeX=',78,'TeX(_210',172,'Cp=',78,312,'(_210',');var box',98,131,'_212.nuc,Cp,',158,315,316,';var p=t;if(_210=="D"||_210=="D\'"){p=TeX.x_height;}var r=t+p/4;var surd',98,'Delimiter(','box.h+box.d','+r+t,[0,2,112,3,112],_210,1);t=surd.h;if(surd.d>',387,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r;var rule',98,'Rule(box.w,t);rule.y=surd.y-t/2;rule.h+=3*t/2;',198,';var Cr=',78,'UpStyle(',78,396,'_210));var root',98,131,'_212.root,Cr,',158,'if(_212.root){root.y=0.55*(',387,'+3*t+r)-box.d;surd.x',64,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_212.nuc',98,216,'([surd,root,rule,box],_210',134,'_212',184,233,367,');},accent',5,'_21d,size',',_21f',7,'TeX=',78,'TeX(_21d',172,'Cp=',78,312,'(_21d',377,98,131,'_21f.nuc',',Cp',172,'u=box.w;var s;var Font;if(',433,19,'TeX"){Font',76,'[',433,'.font];if(Font[',433,'.c].krn&&Font.skewchar){s=Font[',433,'.c].krn[Font.skewchar];}}if(s==null){s=0;}var c=_21f.accent[2];var font',76,'.fam[_21f.accent[1]];Font',76,'[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _228=Math.min(box.h,TeX.','x_height);','if(',433,19,'TeX"){var ','_229=jsMath.mItem.Atom("ord",',433,');_229.sup=_21f.sup;_229.sub=_21f.sub;_229',17,233,419,',_229);_228+=(_229.nuc.h-box.h);box=',433,'=_229.nuc;delete _21f.sup;delete _21f.sub;}var acc',98,'TeX(c,font,',419,');acc.y=box.h-_228;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}',433,98,323,'acc],',419,');if(',433,'.w!=box.w',7,'_22b=',202,'(box.w-',433,'.w);',433,98,216,'([',433,',_22b],',419,');}_21f',184,233,419,',_21f);},op',5,'_22c,size,_22e',7,'TeX=',78,'TeX(_22c',172,'box;_22e',17,'var isD=(_22c','.charAt(0)=="','D");if','(_22e.limits','==null&&isD){_22e.limits=1;}if(','_22e.nuc',19,456,'C',76,'[_22e.nuc.font][',510,'.c];if(isD&&C.n){',510,'.c=C.n;C',76,515,'C.n];}box',98,'Set(_22e.nuc,_22c,size',');if(C.ic){_22e','.delta=C.ic*TeX.scale;if',508,'||!_22e.sub||','jsMath.Browser.','msieIntegralBug','){box',98,323,202,'(_22e.delta)],','_22c,size);}}','box.y=-((',387,')/2-box.d-',292,');if(Math.abs(box.y)<0.0001){box.y=0;}}if(!box){box',98,524,').Remeasured();}if',508,7,'W=box.w;var x=box.w;var _235=[box];var dh=0;var dd=0;if(_22e.sup',7,'sup',98,131,'_22e.sup,',78,396,'_22c),',158,'sup.x=((box.w-sup.w)/2+','_22e.delta/2)-x;','dh=TeX.big_op_spacing5;W',64,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);','_235[_235.length]=','sup;delete _22e.sup;}if(_22e.sub',7,'sub',98,131,'_22e.sub,',78,'DownStyle','(_22c),',158,'sub.x=((box.w-sub.w)/2-',558,'dd=TeX.big_op_spacing5;W',64,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);',562,'sub;delete _22e.sub;}if(W>box.w){box.x=(W-box.w)/2;x+=box.x;}if(x<W){',562,202,'(W-x);}',510,98,216,'(_235,_22c',134,510,'.h+=dh;',510,'.d+=dd;}',27,529,530,'&&_22e.sub&&C&&C.ic){',510,98,323,'jsMath.Box.','Space(-C.ic*TeX.scale)],_22c,size);}',27,'box.y){',510,98,216,'([box],',536,233,497,52,'ord',5,'_23a,size,_23c',',prev,_23e,i){if(_23c.nuc',19,'TeX"&&!_23c.sup&&!_23c.sub',7,'_240=','_23e.mlist[','i+1];if(_240&&_240.atom&&_240.type&&(_240',19,'ord"||_240',19,'op"||_240',19,'bin"||_240',19,'rel"||_240',19,'open"||_240',19,'close"||_240',19,'punct")){if(_240.nuc',19,'TeX"&&_240.nuc.font==_23c.nuc.font){_23c.textsymbol=1;var krn',76,'[_23c.nuc.font][_23c.nuc.c].krn;krn*=',78,'TeX(_23a,size).scale;if(krn&&krn[_240.nuc.c]){for(var k=_23e.mlist.length-1;k>i;k--){',619,'k+1]=',619,'k];}',619,'i+1]=',202,'(krn[_240.nuc.c]);}}}}',233,613,');},fraction',5,'_243,size,_245',7,'TeX=',78,'TeX(_243',172,'t=0;if(_245',1,'!=null){t=_245',1,';}',27,'_245.from.match(/over/)){t=',316,';}}var isD=(_243',506,'D");var Cn=(_243=="D")?"T":(_243=="D\'")?"T\'":',78,396,'_243);var Cd=(isD)?"T\'":',78,570,'(_243);var num',98,131,'_245.num,Cn,',158,'var den',98,131,'_245.den,Cd,',158,'var u;var v;var w;var H=(isD)?TeX.delim1:TeX.delim2;var _251=[',599,99,'_245.left,_243)];var _252',98,99,'_245.right,_243);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_251[1]=num;_251[2]=den',199,'den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_251[1]=den;_251[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1',199,'u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0',7,'p=(isD)?7*',316,':3*',316,';var r=(u-num.d)-(','den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t',77,292,701,'a+t/2);if(r<p){u+=p-r;}r=(a-t/2)-(',702,'v+=p-r;}var rule',98,'Rule(w,t);rule.x=-w;rule.y=a-t/2',';_251[_251.length]=','rule;}num.y=u;den.y=-v',712,'_252;_245.nuc',98,216,'(_251,_243',134,'_245',184,'_245',106,'_245.num;delete _245.den;',233,653,');},SupSub',5,'_259,size,_25b',7,'TeX=',78,'TeX(_259',172,'nuc=','_25b.nuc',';var box=',736,98,131,736,',_259,size,0);if(box.format=="null"){box=',736,98,'Text("","normal",','_259,size);}','if(nuc',19,'TeX"){if(!_25b.textsymbol',7,'C',76,'[nuc.font][nuc.c];if(C.ic){_25b',526,'(!_25b.sub){','box=',736,98,323,599,'Space(','_25b.delta',')],_259',134,762,'=0;}}}else{',762,'=0;}}if(!_25b.sup&&!_25b.sub){return;}',736,'.Styled();var Cd=',78,570,'(_259);var Cu=',78,396,'_259);var q=',78,'TeX(Cu,size).','sup_drop;var r=',78,'TeX(Cd,size).','sub_drop;var u=0;var v=0;var p;if(nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(_25b.sub',7,'sub',98,131,'_25b.sub,Cd',134,'sub',98,216,'([sub,',202,'(TeX.scriptspace)],_259,size',');}if(!_25b.sup){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',78,781,452,736,98,323,'sub],_259,size).Styled();','delete _25b.','sub;return;}var sup',98,131,'_25b.sup,Cu',134,'sup',98,216,'([sup,',202,794,');if(_259=="D"){p=TeX.sup1;}',27,'_259','.charAt(','_259','.length-1)=="\'"){','p=TeX.sup3',199,'p=TeX.sup2;}}u',64,'u,p,sup.d+',78,778,'x_height/4);if',755,'sup.y=u;',736,98,323,'sup],_259',134,803,'sup;return;}v',64,'v,',78,781,'sub2);',315,316,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*TeX.x_height-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',136,'sub',136,830,'sub.y=-v;sup.x=',762,';if(sup.w+sup.x>sub.w){sup.x-=sub.w;',736,98,323,'sub,sup],',746,'else{sub.x-=(sup.w+sup.x);',736,98,323,'sup,sub],',746,803,'sup;',803,'sub;}});',116,'=function(_26a){this.type="typeset";',3,'=_26a;};jsMath.Add(',116,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle:{D:"S\'",T:"S\'","',874,'\'",SS:"SS\'","',876,'UpStyle',5,'_26b){return this.upStyle[_26b];},',570,5,'_26c){return this.downStyle[_26c];},',312,5,'_26d){if(_26d',818,'_26d',820,'return _26d;}return _26d+"\'";},StyleValue',5,'_26e,v){if(_26e=="S"||_26e=="S\'"){return 0.7*v;}if(_26e=="SS"||_26e=="SS\'"){return 0.5*v;}return v;},StyleSize',5,'_270,size){if(_270=="S"||_270=="S','\'"){size=Math.max(0,size-','2);}else{if(','_270=="SS','"||',900,898,'4);}}return ','size;},TeX',5,'_272,size){if(_272=="S"||_272=="S',898,899,'_272=="SS','"||',910,898,904,'jsMath.TeXparams[size];},AddStyle',5,'_274,size,html){if(_274=="S"||_274=="S',898,899,'_274=="SS','"||',920,898,'4);}}if(size!=4){html="<span class=\\"size"+size+"\\">"+html+"</span>";}return html;},AddClass',5,'_277,html){if(_277!=""&&_277!="normal"){html=',139,'Class(_277,html);}return html',';}});jsMath.','Package(',116,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',933,'punct',935,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',935,',bin:2,rel:3,open',941,'}},SSsep:{ord:{op:1},op',935,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',5,'l,r,_27b){if(l&&l.atom&&r.atom',7,'_27c=this.DTsep;if(_27b',506,'S"){_27c=this.SSsep;}var row=_27c[l.type];if(row&&row[r.type]!=null){return jsMath.TeX[this.sepW[row[r.type]]];}}return 0;},Typeset',5,'_27e,size){',9,'=_27e;',11,'=size;var _280=-10000;this.w=0;this.h=_280;this.d=_280;this.bh=this.h;this.bd=this.d;','this.tbuf','="";this.','tx=0;','this.tclass','="";','this.cbuf',963,'hbuf',963,'hx=0;var _281=null;var prev;this.x=0;this.dx=0',13,'prev=_281;_281=',3,'[i];switch(_281.type){case "size":','this.FlushClassed();',11,'=_281.size;','_281=prev;break;case "','style":',976,'if(',9,818,9,820,9,'=_281.style','+"\'";}else{',9,988,';}',979,'space":if(typeof (_281.w)=="object"){if(',9,818,'1)=="','S"){_281.w=0.','5*','_281.w[0]/18',';}',27,9,506,998,'7*',1000,199,'_281.w=',1000,';}}}this.dx+=_281.w-0;',979,'html":',976,'if(this.hbuf==""){this.hx=this.','x;}','this.hbuf+=','_281.html;_281=prev;break;default:if(!_281.atom&&_281.type!="box"){break;}','_281.nuc.','x+=this.dx+this.',949,'(prev,_281,',9,');if(',1019,'y||',1019,'x){',1019,'Styled();}this.dx=0;this.x=this.x+this.w;this.w+=',1019,'w+',1019,'x;if(',1019,'format=="text"){if(',965,'!=',1019,'tclass','&&',965,'!=""){this.FlushText();}if(',962,'==""&&',967,'==""){this.tx=this.x;}',962,'+=',1019,'html;',965,'=',1019,1040,199,976,'if(',1019,'x||',1019,'y){this.Place(_281.nuc);}',1015,'x;}',1017,1019,'html;}this.h',64,'this.h,',1019,'h+',1019,'y);this.bh',64,'this.bh,',1019,'bh);this.d',64,'this.d,',1019,'d-',1019,'y);this.bd',64,'this.bd,',1019,'bd);break;}}',976,'if(this.dx){',1017,139,140,'this.dx);this.w+=this.dx;}if(this.hbuf==""){return ',599,'Null;}if(this.h==_280){this.h=0;}if(this.d==_280){this.d=0;}var box','=new jsMath.','Box("html",this.hbuf,this.w,this.h,this.d);box.bh=this.bh;box.bd=this.bd;return box;},FlushText:function(){if(',962,'==""){return;}',967,'+=',78,'AddClass(',965,',',962,');',962,'="";',965,'="";},FlushClassed:function(){this.FlushText();if(',967,1099,1015,'tx;}',1017,78,'AddStyle(',9,',',11,',',967,');',967,'="";},Place',5,'item',7,'html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',139,'Em(item.x',')+";";}if(item.y){html+=" top:"+',139,'Em(-item.y',')+";";}item',138,'html+"\\">"+','item.html+"</span','>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',5,'item){if(item.y){if(','item.html.match','(/^<img[^>]*>(<span style="margin-left: [-0-9.]*em"><\\/span>)?$/i)&&!',1146,'(/top:/)){item',138,'item.html.replace(/style=\\"/,"style=\\"position:relative; top:"+',139,1136,')+";");}else{item.',1130,'; "+"top:"+',139,1136,')+";"+"\\">"+',1140,'>";}}if(item.x){item',138,529,'msieSpaceFix+"<span style=\\"margin-left:"+',139,1133,'-',529,'spaceWidth)+";\\">"+',529,'hiddenSpace+"</span>"+item.html;}',1142,929,'Parse','=function(s,font,size,','_28b',7,'_28c=new ','jsMath.Parser','(s,font,size,_28b);_28c.Parse();return _28c;};',1179,1175,'_290){this.string=s;this.i=0;',3,1096,'mList(null,font,size,_290);};jsMath.Package(',1179,',{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\x01','":"Space","\\','t',1189,'r',1189,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],leftarrow:[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],mapstochar:[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1201,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1201,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1199,'rangle":[5,2,105,3,11],"\\\\langle":[4,2,104,3,10],"\\\\rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1209,'T"],scriptstyle',1209,'S"],scriptscriptstyle',1209,'SS"],rm',':["HandleFont",','0],mit',1217,'1],oldstyle',1217,'1],cal',1217,'2],it',1217,'4],bf',1217,'6],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1229,'arctan',1229,'arg',1229,'cos',1229,'cosh',1229,'cot',1229,'coth',1229,'csc',1229,'deg',1229,'det',':"NamedOp",','dim',1229,'exp',1229,'gcd',1249,'hom',1229,'inf',1249,'ker',1229,'lg',1229,'lim',1249,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1267,'sup"],ln',1229,'log',1229,'max',1249,'min',1249,'Pr',1249,'sec',1229,'sin',1229,'sinh',1229,'sup',1249,'tan',1229,'tanh',1229,278,':["HandleAtom","',278,'"],',298,1293,298,'"],',332,1293,332,'"],over',':"HandleOver",','overwithdelims',1304,'atop',1304,'atopwithdelims',1304,'above',1304,'abovewithdelims',1304,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1316,'","[","]"],choose',1316,'","(",")"],overbrace',':["Extension","leaders"],','underbrace',1322,'overrightarrow',1322,'overleftarrow',1322,'overset',':["Extension","underset-overset"],','underset',1330,'llap',':"HandleLap",','rlap',1334,'ulap',1334,'dlap',1334,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1342,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1346,'not="],neq',1346,'not="],notin',1346,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1346,1353,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1346,'mathbin{\\\\rm mod}"],pmod',1346,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1346,'ointop\\\\nolimits"],doteq',1346,'buildrel\\\\textstyle.\\\\over="],ldots',1346,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1346,1369,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1346,1369,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1346,1369,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1346,1353,'kern-4mu}"],relbar',1346,1353,'smash-}"],','Relbar',1346,1358,'="],bowtie',1346,1358,'\\\\',1195,'\\\\joinrel\\\\',1358,'\\\\triangleleft"],models',1346,1358,'|\\\\joinrel="],mapsto',1346,'mapstochar\\\\','rightarrow"],rightleftharpoons',1346,278,'{\\\\',1353,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1197,'}"],hookrightarrow',1346,'lhook\\\\','joinrel\\\\rightarrow"],','hookleftarrow',1346,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1346,1386,1394,'Rightarrow"],','longrightarrow',1346,'relbar\\\\',1412,'longleftarrow',1346,1415,'relbar"],Longleftarrow',1346,'Leftarrow\\\\joinrel\\\\',1386,'"],longmapsto',1346,1401,'char{cmsy10}{0}\\\\',1412,'longleftrightarrow',1346,'leftarrow\\\\',1412,'Longleftrightarrow',1346,1430,1420,'iff:["Macro","\\\\;\\\\',1441,'\\\\;"],mathrm',':["Macro","{\\\\','rm #1}",1],mathbf',1448,'bf #1}",1],','mathbb',1448,1451,'mathit',1448,'it #1}",1],TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace',':["Spacer",','1/2],quad',1458,'1],qquad',1458,'2],thinspace',1458,'1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1466,'ord",1.','15],bigg',1466,1469,'45],Bigg',1466,1469,'75],bigl',1466,'open",0.85],Bigl',1466,'open",1.','15],biggl',1466,1480,'45],Biggl',1466,1480,'75],bigr',1466,'close",0.85],Bigr',1466,'close",1.','15],biggr',1466,1491,'45],Biggr',1466,1491,'75],bigm',1466,'rel",0.85],Bigm',1466,'rel",1.','15],biggm',1466,1502,'45],Biggm',1466,1502,'75],mathord',1293,'ord"],mathop',1293,'op"],mathopen',1293,'open"],mathclose',1293,'close"],mathbin',1293,'bin"],',1358,1293,'rel"],mathpunct',1293,'punct"],mathinner',1293,'inner"],mathchoice:["Extension","mathchoice"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox:["Extension","fbox"],strut:"Strut",mathstrut',1346,'vphantom{(}"],phantom:["Phantom",1,1],vphantom:["Phantom",1,0],hphantom:["Phantom",0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1529,'18]],ddot',1529,'127]],tilde',1529,'126]],bar',1529,'22]],breve',1529,'21]],check',1529,'20]],hat',1529,'94]],vec',':["MathAccent",[0,','1,126]],dot',1529,'95]],widetilde',1545,'3,101]],widehat',1545,'3,98]],"_":["Replace","ord","_","normal'],
  ['",-0.4,0.1]," ":["','Replace","ord','","&nbsp',';","normal"],','angle:["',1,'","&#x2220',3,'matrix',':"Matrix",','array',9,'pmatrix:["Matrix','","(",")","c"],','cases:["Matrix","\\\\{",".",["l","l"]],cr:"','HandleRow','","\\\\":"',15,'",begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',19,'1],scriptsize',19,'2],small',19,'3],normalsize',19,'4],large',19,'5],Large',19,'6],LARGE',19,'7],huge',19,'8],Huge',19,'9],dots:["Macro","\\\\ldots"],','newcommand',':["Extension","',39,'"],def',40,39,'"],color',40,'HTML"],','href',40,'HTML"],"class":["','Extension','","',47,'style',40,47,'cssId',40,47,'unicode',40,47,'require:"Require","char":"Char"},','environments',':{array:"Array",',8,':["Array",null,null,"','c"],pmatrix',':["Array',13,'bmatrix',69,'","[","]","c"],Bmatrix',69,'","\\\\{","\\\\}","c"],vmatrix',69,'","\\\\vert","\\\\vert","c"],Vmatrix',69,'","\\\\Vert","\\\\Vert","c"],cases',69,'","\\\\{",".","ll"],eqnarray',67,'rcl",[5/18,5/18],"D"]},AddSpecial',':function','(obj){','for(var id in obj){','jsMath.Parser.prototype','.special[',87,'[id]]=obj[id];}},Error',84,'(s){','this.i','=this.','string.length',';if(s','.error){','this.error','=s.error;}','else{if(!','this',97,98,'=s;}}},nextIsSpace',84,'(){','return ','this.string.charAt(this.i',')==" ";},trimSpaces',84,'(text){','if(typeof (','text)!="string"){',107,'text;}',107,'text','.replace(/^\\s+|\\s','+/g,"");},','Process',84,'(arg','){var ','data=','this.mlist.','data;','arg','=jsMath.','Parse(arg,','data.font',',','data.size',',data.style',');if(arg',97,'this.Error(','arg);','return null',';}if(arg.mlist.Length()==','0){',138,139,'1',123,'atom=','arg.mlist.','Last();if','(atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',151,'TeX")){',107,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},GetCommand',84,'(){var ','_298=/^([a-z]+|.) ?/i;var cmd=_298.exec(','this.string.slice(','this.i));','if(','cmd){',93,'+=cmd[1].length;',107,'cmd[1];}','this.Error("','Missing',' control sequnece name at end of string or',' argument','");',138,';},','GetArgument',':function(name',',','_29b){','while','(this.nextIsSpace()){this.i','++;}','if(this.','i>=this.',95,'){if(!',178,168,169,171,' for "+','name);}',138,';}if(',108,')==this.','close',185,178,168,'Extra close brace','");}',138,193,108,195,163,'this.i++;',107,'this.cmd+','this.GetCommand','();}if(',108,')!=this.open','){return ',108,'++);}var j','=++this.i;var ','_29d=1;var c="";',179,'(this.i<this.string.length){','c=',108,'++);','if(c==this.cmd){',93,'++;}else{if(c','==this.open){_29d',226,'==this.close){if(_29d==0){',168,200,'");',138,';}if(--_29d==0',214,160,'j,',93,'-1);}}}}}',168,'Missing close brace','");',138,';},ProcessArg',176,'){','var arg=this.',175,'(','name);','if(this.error){return',' null;}return this.Process(arg);},','GetDelimiter',176,'){',179,180,'++;}var ','c=',108,');if',220,207,224,'c="\\\\"+',210,'(',250,251,' null;}}','if(','this.delimiter[','c]!=null',214,272,'c];}}',168,169,' or unrecognized delimiter',190,250,138,';},','GetDimen',176,',nomu',123,'rest;var _2a6=0;if',180,'++;}if(',108,')=="{"){rest',94,175,'(name);}else{rest=',160,93,');_2a6=1',';}var ','_2a7=rest.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_2a7){',168,169,' dimension or its units',190,250,138,193,'_2a6){',93,'+=_2a7[0].length;if',180,'++;}}var d=_2a7[1]-0;if(_2a7[4]=="px"){d/=jsMath.em',';}else{if(_2a7[4]=="','pt"){d/=10',313,'ex"){d*=jsMath.TeX.x_height',313,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',107,'d;},GetNext',84,'(){',179,180,'++;}',107,108,');},','GetBrackets',176,123,'c',94,'GetNext();if(c','!="["){return "";}var _2ab',217,'_2ac=0;',179,220,'var c=',108,'++);if(c=="{"){','_2ac',226,'=="}"){if(','_2ac==0){',168,200,' while looking for',' \']\'");',138,';}_2ac--;}else{',224,93,226,'=="]"){if(_2ac==0',214,160,'_2ab,',93,'-1);}}}}}}',168,'Couldn\'t find',' closing \']\' for',171,' to "+',209,250,138,';},GetUpto',176,',_2af){',179,180,258,'_2b0',94,'i;var _2b1=0;',179,220,'var c=',108,342,'_2b1',226,345,'_2b1==0){',168,200,349,' "+',209,'_2af);',138,';}_2b1--;}else{',224,'if(',160,'this.i,this.i+','5)=="begin"){_2b1++;',93,'+=4;}else{if(',160,399,'3)=="end"){if(_2b1>0){_2b1--;',93,'+=2;}}}if(',387,'if(',160,399,'_2af.length',')==_2af){c=',108,'+',412,');if(c.match(/[^a-z]/i)||!_2af.match(/[a-z]/i)){var arg=',160,'_2b0,',93,'-1);',93,'+=',412,';',107,'arg;}}}',93,'++;}}}}',168,363,' "+',209,'_2af+" for "+',250,138,';},','ProcessUpto',176,',_2b5){',247,'GetUpto(name,_2b5);',251,252,'GetEnd',84,'(env',123,'body="";var name="";',179,'(name!=env){body+=this.GetUpto("begin{"+env+"}","end");',251,' null;}name',94,175,'(this.cmd','+"end");',251,270,107,'body;},Space',84,'(){},','Prime',84,'(c',123,'base=',125,147,'(base==null||(!base',149,'base.type!="','box"&&',473,'frac")){',468,'this.mlist.Add(jsMath.mItem.','Atom("ord",null));}if(base.','sup){',168,'Prime causes double exponent',': use braces to clarify");return;}','var sup="";',179,'(c=="\'"){sup+=this.cmd+"prime";c',94,334,'=="\'"){',93,'++;}}','base.sup',94,120,'(sup);},RaiseLower',176,123,'h','=this.GetDimen(this.cmd+name',',1);',251,299,'box','=this.ProcessArg','(this.cmd+name);if(this.error){return',193,'name=="lower"){h=-h;}',125,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',176,123,'x',499,500,251,299,'box',504,505,193,'name=="moveleft"){x=-x;}',478,'Space(x));',478,'Atom("ord",box));',478,'Space(-x));},Require',176,123,'file',94,175,505,';}file',128,51,'.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.',51,'(null,[','file]);},',51,176,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',87,'[data[1]||"macros"][name];}','jsMath.Script.','Start();jsMath.',51,'.Require(data[0],',550,'.asynchronous',');throw "restart";},Frac',176,123,'num',504,505,299,'den',504,505,';}',478,'Fraction("over",num,den));},Sqrt',176,123,'n',94,329,505,299,'arg',504,505,';}box=jsMath.mItem.Atom("radical",arg);',182,'n!=""){box.root',94,120,'(n);',251,';}}',125,'Add(box);},','Root',176,123,'n',94,438,'(',209,'name,"of");',251,299,'arg',504,505,585,'box.root=n;',125,594,'BuildRel',176,123,'top',94,438,'(',209,'name,"over");',251,299,'bot',504,505,299,'op',128,'mItem.Atom("','op",bot);op.limits=1;op.sup=top;',125,'Add(op);},MakeBig',176,',data){var ','type=data[0];var h=data[1]*jsMath.p_height;var _2d8',94,253,505,';}',478,'Atom(type,','jsMath.Box','.Delimiter(h,_2d8,"T")));},Char',176,123,'font',94,175,505,299,'n',94,175,505,';}if(!','jsMath.TeX[font',']){',657,']=[];this.',51,545,'jsMath.Font.URL(font',')]);}else{',478,'Typeset(',643,'.TeX(n-0,font,"T",',125,132,')));}},Matrix',176,',_2dd',123,'data=',125,126,247,175,505,299,'_2e0','=new jsMath.Parser(arg','+"\\\\\\\\",null,',132,');_2e0.',8,'=name;_2e0.row=[];_2e0.table=[];_2e0.Parse();if(_2e0',97,136,'_2e0);',542,'_2e0','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_2e0.table,_2dd[2]);if(_2dd[0]&&_2dd[1]){var left','=jsMath.Box.Delimiter(box.h+box.d,this.delimiter[','_2dd[0]],"T");var _2e3',696,'_2dd','[1]],"T");box=jsMath.Box.SetList([left,box,','_2e3],','data.style,data.size',');}',478,'Atom((_2dd','[0]?"inner":"ord"),box));},','HandleEntry',176,'){','if(!this.',8,'){',136,'name+" can only appear in a matrix or array");return;}','if(',125,'data.openI',552,'var open=',125,'Get(',125,717,');if(open','.left){',168,169,' "+this.cmd+"right','");}else{',168,241,'");}}if(',125,'data.overI',552,125,'Over();}var data=',125,126,125,'Atomize(',702,');var box=',125,666,702,');this.row[','this.row.length',']=box;this.mlist=new jsMath.mList(null,null,',132,133,');},',15,176,',last){',710,8,'){',136,209,714,'this.',707,'(',250,'if(!last||',748,'>1||this.row[0].format!="null"){this.table[this.table','.length]=this.','row;}this.row=[];},Array',176,',_2eb',123,'_2ec=_2eb[2];var _2ed=_2eb[3];if(!_2ec){_2ec',94,175,456,'+"begin{"+name+"}");',251,';}}_2ec=_2ec.replace(/[^clr]/g,"");_2ec=_2ec.split("");var data=',125,126,'var _2ef=_2eb[4]||"T";',247,445,'(',250,251,299,'_2f1',683,'+this.cmd+"\\\\",null,',132,',_2ef);_2f1.',8,'=name;_2f1.row=[];_2f1.table=[];_2f1.Parse();if(_2f1',97,136,'_2f1);',542,'_2f1',694,'_2f1.table,_2ec,_2ed);if(_2eb[0]&&_2eb[1]){var left',696,'_2eb[0]],"T");var _2f4',696,'_2eb',700,'_2f4],',702,');}',478,'Atom((_2eb',706,'Begin',176,123,'env',94,175,505,193,'env.match(/[^a-z*]/i)){',168,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',710,64,'[env]){',168,'Unknown',826,828,'var cmd',94,64,'[env];',112,'cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',176,123,'env',94,175,505,';}',136,209,'name+"{"+env+"} without matching "+this.cmd+"begin");},Spacer',176,',w){',478,'Space(w-0));},Hskip',176,123,'w',94,284,505,';}',478,'Space(w));},HBox',176,'){var text=this.',175,505,299,'box',128,'Box.InternalMath(text,',125,132,');',478,666,'box));},Rule',176,',_302',123,'w',499,500,251,299,'h',499,500,251,299,'d',499,500,251,';}h+=d;var html;if(h!=0){h=Math.max(1.05/jsMath.em,h);}if(h==0||w==0){_302="blank";}if(w==0){','html="<img src=\\""+jsMath.blank+"\\" style','=\\""+"','border:0px none','; width:1px; margin-right:-1px; "+"height',':"+jsMath.HTML.Em','(h*','jsMath.Browser.','imgScale)+"\\" />";}else{','if(_302=="blank"){',899,'=\\"',901,'; "+"height',903,'(h*',905,'imgScale)+"; "+"','width',903,'(w*',905,906,899,'=\\""+"position: relative; top:1px; height:1px; ',901,'; "+"border-top',903,'(h*',905,'imgScale)+" solid; "+"width',903,'(w*',905,'imgScale)+"\\" />";}}if(d){html','="<span style=\\"','vertical-align',903,'(-d)+"\\">"+html','+"</span>";}',478,666,'new ',643,'("html",html,w,h-d,d)));},Strut',84,158,'size=',125,132,';var box',128,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',478,666,'box));},Phantom',176,635,'arg',504,505,';}',125,509,'phantom",{phantom:arg,v:data[0],h:data[1]}));},Smash',176,635,'arg',504,505,';}',125,509,'smash",{smash:arg}));},MathAccent',176,',_310',123,'c',504,505,299,'atom',128,630,'accent",c);atom.accent=_310[0];',125,'Add(atom);},NamedOp',176,635,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?0.2:0;if(data[1]){name=data[1];}var box',128,'mItem.TextAtom("op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',125,594,'Limits',176,635,145,125,147,'(!atom||atom.type!="op"){',136,209,'name+" is allowed only on operators");',542,'atom.limits=data[0];},Macro',176,635,'text=data[0];if(data[1]){var args=[];','for(var i=0;i<','data[1];i++){args[args',769,175,505,';}}text',94,'SubstituteArgs','(args,text);}this.string',94,'AddArgs(','text,',160,161,93,'=0;},',1014,84,'(args,_321',123,'text="";var _323="";var c;var i','=0;while(i<','_321.length){c=','_321.charAt(i','++);',224,'text+=c+',1030,'++);}else{if(c=="#"){c=',1030,'++);if(c=="#"){text+=c;}',100,'c.match(/[1-9]/)||c>args.length){',168,'Illegal macro parameter reference");',542,'_323',94,1017,'this.AddArgs(_323,text','),args[c-1]);text="";}}else{text+=c;}}}',107,1046,');},AddArgs',84,'(s1,s2){if(s2.match(/^[a-z]/i)&&s1.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){s1+=" ";}',107,'s1+s2;},Replace',176,549,478,'TextAtom(data[0],data[1],data[2],data[3]));},HandleLap',176,123,'box',504,'();',251,';}box=',125,509,'lap",{nuc:box,lap:name}));},HandleAtom',176,635,'arg',504,505,';}',478,'Atom(data,arg));},HandleMathCode',176,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',84,'(type,font,code){if(type==7&&',125,130,552,'font=',125,130,';}font',128,'TeX.fam[font];',478,'TeXAtom(jsMath.TeX.atom[type],code,font));},','HandleVariable',84,'(c',1079,'7,1',',c.charCodeAt(0));},','HandleNumber',84,'(c',1079,'7,0',1099,'HandleOther',84,'(c){',478,'TextAtom("ord",c,"normal"));},HandleComment',84,158,'c;',179,220,'c=',108,'++);if(c=="\\r"||c=="\\n"){return;}}},HandleStyle',176,',_339){',125,'data.style=_339[0];',125,509,'style",{style:_339[0]}));},HandleSize',176,',size){',125,132,'=size[0];',125,509,'size",{size:size[0]}));},HandleFont',176,',font){',125,130,'=font[0];},HandleCS',84,158,'cmd=',210,'();',251,';}',182,'macros[cmd',']){var _33f',94,1147,'];',112,'_33f',842,'_33f=[_33f];}this[_33f[0]](cmd,_33f.slice(1));',542,182,'mathchardef[cmd',']){this.HandleMathCode(','cmd,this.',1158,']);',542,'if(',272,209,'cmd',1159,'cmd,',272,209,'cmd].slice(0,3));',542,168,'Unknown control sequence \'"+',209,'cmd+"\'");},HandleOpen',84,'(){',125,'Open();},HandleClose',84,'(){if(',125,717,'==null){',168,200,'");',542,'var open=',125,'Get(',125,717,');if(!open||','open.left',1186,125,'Close();}else{',168,200,' or missing',728,'");return;}},HandleLeft',176,123,'left',94,253,505,';}',125,'Open(left);},HandleRight',176,123,'_344',94,253,505,299,'open=',125,'Get(',125,717,724,'&&',1197,552,125,'Close(_344);}else{',168,'Extra open brace or missing "+this.cmd+"left");}},HandleOver',176,549,'if(',125,734,552,168,'Ambiguous use of "+',209,250,542,125,734,'=',125,'Length();',125,'data.overF={name:name};if(data.length>0){',125,'data.overF.','left=',272,'data[0]];',125,1254,'right=',272,'data[1]];}else{if(name.match(/withdelims$/)){',125,1254,'left',94,253,505,';}',125,1254,'right',94,253,505,';}}else{',125,1254,'left=null;',125,1254,1260,'null;}}if(name.match(/^above/)){',125,1254,'thickness',94,284,456,'.name',500,251,';}}else{',125,1254,'thickness=null;}},HandleSuperscript',84,158,468,125,147,'(base==null||(!base',149,473,'box"&&',473,'frac")){',468,478,479,'sup){',168,'Double exponent',483,492,504,'("superscript");',251,';}},HandleSubscript',84,158,468,125,147,'(base==null||(!base',149,473,'box"&&',473,'frac")){',468,478,479,'sub){',168,'Double subscripts',483,'base.sub',504,'("subscript");',251,';}},Parse',84,158,'c;',179,220,'c=',108,'++);',182,'mathchar[c',1159,'c,this.',1352,']);}else{',182,'special[c]){this[this',88,'c]](c);}else{',182,'letter','.test(c)){this.',1094,'(c);}else{',182,'number',1363,1100,1365,'this.',1106,'(c);}}}}}if(',125,717,552,'var open=',125,'Get(',125,717,724,'.left){',168,169,728,729,168,241,'");}}if(',125,734,552,125,'Over();}},Atomize',84,158,'data=',125,'init;if(!this',97,125,741,702,');}},Typeset',84,158,'data=',125,'init;var box',94,'typeset=',125,666,702,');',251,' "<span class=\\"error\\">"+',98,937,'if(box.format=="null"){return "";}box.Styled().Remeasured();var _34f=0;var _350=0;if(box.bh>box.h&&box.bh>jsMath.h','+0.001){_34f=1;}if(box.','bd>box.d&&box.bd>jsMath.d',1422,'h>jsMath.h||box.d>jsMath.d){_350=1',299,'html=box.html;if(_34f){if(',905,'allowAbsolute',123,'y=0;if(box.bh>jsMath.h+0.001){y',128,'h-box.bh;}html',128,'HTML.Absolute(html,box.w,jsMath.h,0,y,jsMath.h);}',100,905,'valignBug',123,'dy',128,'HTML.Em(Math.max(0,box.bd-jsMath.hd)/3);html',933,'line-height: 0px;"+" position:relative; top:"+dy+"; vertical-align:"+dy+"\\">"+html+"</span>";}}_350=1',193,'_350){html+="<img src=\\""+jsMath.blank+"\\" class=\\"HD\\" style=\\""+"height',903,'((box.h+box.d+0.1)*',905,915,'vertical-align',903,'(-box.d-0.05)+";\\" />";}return "<nobr><span class=\\"scale\\">"+html+"</span></nobr>";}});',87,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{','Macro',176,123,'_355=',87,'.macros;','_355[name',']=["Macro"];for(var i=1;i<arguments','.length;i++){',1463,'][',1463,'].length]=arguments[i];}}});jsMath.',51,'={safeRequire:1,Macro',176,',file',123,'_359=',87,1462,'_359','[name]=["',51,'",file];},LaTeX',84,'(env,file',123,'_35c=',87,'.',64,';_35c[env]=["',51,'",file,"',64,'"];},Font',176,1135,'if(font',1186,'font=name+"10";}var _35f=',87,1462,'_35f',1479,51,'",',663,')];},Require',84,'(file,show){',182,'safeRequire&&file.match(/\\.\\.\\/|[^-a-z0-9.\\/_+=]/i)){',539,540,']=1;',542,539,'Script(this.URL(file),show);},URL',84,'(file){file=file',118,'+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',107,'file;}};',1456,120,84,85,539,'Body();',556,'Push(',550,',"','Asynchronous','",obj);},ProcessBeforeShowing',84,85,539,1528,'var _365=(','jsMath.Controls.cookie.','asynch?"',1533,'":"','Synchronous','");',556,1530,550,',_365,obj);}});',550,'={element:[],cancel:0,TextMode',84,'(s',123,'_367','=jsMath.Parse(s,null,null,"','T");',1555,'.Atomize();var html=',1555,'.Typeset();return html;},','DisplayMode',84,'(s',123,'_36a',1556,'D");',1566,1559,1566,1561,'GetElementText',84,'(_36c',868,'recursiveElementText','(_36c);if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1579,'gt;/g,">");',1579,'quot;/g,"\\"");',1579,'amp;/g,"&");}',107,'text;},',1577,84,'(_36e){if(','_36e.nodeValue','!=null',214,1592,193,'_36e.childNodes','.length==0){return " ";}var text="";',1007,1597,1465,'text+=this.',1577,'(',1597,'[i]);}',107,1588,'ResetHidden',84,'(_371){_371.innerHTML',933,'visibility: hidden; position:absolute; top:0px;left:0px;\\"></span>"+',905,'operaHiddenFix;_371.className="";','jsMath.hidden','=_371.firstChild;if(!jsMath.BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}jsMath.','ReInit();},ConvertText',84,'(_372',868,1573,1622,');this.ResetHidden(','_372);_372.alt=text;text',94,'TextMode(text);_372','.className="typeset";','_372','.innerHTML=text;},','ConvertDisplay',84,'(_374',868,1573,1635,1626,'_374);_374.alt=text;text',94,1562,'(text);_374',1630,'_374',1632,'ProcessElement',84,'(_376){this.restart=0;try','{if(_376.tagName.toLowerCase()=="','div"){this.',1633,'(_376);}else',1650,'span"){this.ConvertText(_376);if(','_376.parentNode.','className=="jsMath.recenter"){',1656,'style.marginLeft=Math.floor((',1656,'offsetWidth-_376.offsetWidth)/2)+"px";}}}_376.onclick',128,'Click.CheckClick;_376.ondblclick',128,'Click.CheckDblClick;}catch(err){if(_376.alt){_376.innerHTML=_376.alt;}',1618,';}},','ProcessElements',84,'(k){',556,'blocking=','1;if(k>=','this.element.length','||this.cancel){this.','ProcessComplete','();',182,'cancel){','jsMath.Message.','Set("',120,' Math: Canceled");',1680,'Clear();}',556,1672,'0;',556,120,'();}else{','this.ProcessElement(this.element[','k]);',182,'restart){',556,1530,'this,"',1668,'",k);',556,1672,'0;setTimeout("',556,120,'()",',905,'delay);}else{k++;var p=Math.floor(100*k/',1674,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',550,'.',1668,'("+k+")",',905,'delay);}}},',1533,84,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);','this.cancel=0;this',561,'=1;',556,1672,'1;',1711,': 0%",1);setTimeout("',550,'.',1668,'(0)",',905,'delay);},',1544,84,'(obj,i){if(i==null',1722,'i=0;}this',561,1028,1674,'){',1692,'i]);',182,'restart){','jsMath.Synchronize','("',550,'.',1544,'(null,"+i+")");',556,120,'();',542,'i++;}this.',1676,'(1);},GetMathElements',84,'(obj',123,'_37d=[];if(!obj){obj=','jsMath.document',193,'typeof (obj',842,'obj=',1767,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',138,299,'math=',1774,'("div','");for(var k=0;k<math.length;k++){if(math[k].className=="math"){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_37d[_37d.length]=math[k];}}}','math=',1774,'("span',1781,'if(',905,'renameOK','&&obj','.getElementsByName','){_37d=obj',1790,'("_jsMath_',729,'if(',1616,'.sourceIndex','){_37d.sort(function(a,b',214,'a',1797,'-b',1797,';});}}',107,'_37d;},',1676,84,'(_383){if(',905,1788,123,'_384=',1767,1790,1793,'");for(var i=_384.length-1;i>=0;i--){_384[i].removeAttribute("name");}}',1618,';this.element=[];if(!_383){',1711,': Done");',1680,'Clear();}',1680,'UnBlank();if(',905,'safariImgBug&&(',1540,'font=="symbol"||',1540,'font=="image")){',182,'timeout){clearTimeout(this.timeout);}this.timeout=setTimeout("','jsMath.window.resizeBy','(-1,0); "+"',1834,'(1,0); "+"',550,'.timeout = null",2000);}},Cancel',84,'(){',550,'.cancel=1;if(',556,'cancelTimer){',556,'cancelLoad();}}};',1456,'ConvertTeX',84,'(_386){',556,'Push(jsMath.tex2math,"',1849,'",_386);},','ConvertTeX2',84,'(_387){',556,1853,1856,'",_387);},','ConvertLaTeX',84,'(_388){',556,1853,1863,'",_388);},','ConvertCustom',84,'(_389){',556,1853,1870,'",_389);},','CustomSearch',84,'(om,cm,od,cd','){',556,1530,'null,function(){jsMath.tex2math.',1877,1879,');});},tex2math:{',1849,84,463,1856,84,463,1863,84,463,1870,84,463,1877,84,'(){}}});',1750,'=',556,'Synchronize;if(','window.parent','!=window){',1906,'.jsMath=jsMath;',1767,'=',1906,'.document;jsMath.window=',1906,1619,'Loaded();jsMath.Controls.GetCookie();',539,'Source();',556,'Init();',539,'Fonts();if(',1767,'.body){jsMath.Setup.Body();}}}']
]
);
//end = new Date().getTime();
//alert(end-start);
